<?php
session_start();

if(!$_SESSION['access'])
{
	$_SESSION['message'] = "Zaloguj si!";
	header("Location: login.php?error=2");
	exit();
}
if($_SESSION['userIP'] != $_SERVER['REMOTE_ADDR'])
{
	$_SESSION['message'] = "Nie masz dostpu z adresu {$_SERVER['REMOTE_ADDR']}.";
	header("Location: login.php?error=3");
	exit();
}

require '../func/class.tabelkownik.php';

$tbk = new Tabelkownik('..');
$tbk->imgPath = '.';
$db = $tbk->db;
$prefix = $db->getPrefix();
$html = $tbk->html;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
<meta http-equiv="Content-Language" content="pl" />
<meta name="robots" content="noindex, nofollow" />
<meta name="Author" content="Radosaw Zatoka, Daniel Szczukiewicz" />
<title>Tabelkownik - System zarzdzania tabelami</title>
<link href="style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/script.js"></script>
<?php
if($_GET['op'] == 'managematches'){
	echo '<script type="text/javascript" src="js/slides.js"></script>';
	echo '<script type="text/javascript" src="js/eventsManager.js"></script>';
	echo '<script type="text/javascript" src="js/DHTML3API.js"></script>';
	echo '<script type="text/javascript" src="js/calendar.js"></script>';
}
?>
</head>

<body>
<?php
//zmienna do action formularzy
$url = $_SERVER['PHP_SELF'];
//uzwglednienie
if(isset($_GET['op'])){
	$url .= '?op='.$_GET['op'];
}
?>

<div id="glowny"><!-- Banner -->
<h1 id="banner"><span>Tabelkownik - System zarzdzania tabelami.</span></h1>

<!-- Menu -->
<div id="navigation">
<div class="admnaglew">
<h2>Panel sterowania</h2>
</div>
<div class="lewakol">
<ul>
	<li><a href="index.php">Strona gwna</a></li>
	<li><a href="index.php?op=help">Pomoc</a></li>	
	<li><a href="index.php?op=changepassword">Zmie haso</a></li>
	<li><a href="logout.php">Wyloguj si</a></li>
</ul>
</div>
<div class="admnaglewdol"></div>

<div class="admnaglew">
<h2>Ligi, druyny, mecze</h2>
</div>
<div class="lewakol">
<ul>
	<li><a href="index.php?op=manageleagues">Zarzdzanie ligami</a></li>
	<li><a href="index.php?op=manageteams">Zarzdzanie druynami</a></li>
	<li><a href="index.php?op=managematches">Zarzdzanie meczami</a></li>
	<li><a href="index.php?op=savetables">Zapisz tabele</a></li>	
</ul>
</div>
<div class="admnaglewdol"></div>

<?php /* Wywietlane, jeli uytkownikiem jest admin lub superadmin */
if($_SESSION['admin_priv'] || $_SESSION['superadmin_priv'])
{
	?>

<div class="admnaglew">
<h2>Uytkownicy</h2>
</div>
<div class="lewakol">
<ul>
	<li><a href="index.php?op=users">Uytkownicy</a></li>


	<?php /* Wywietlane, jeli uytkownikiem jest superadmin */
	if($_SESSION['superadmin_priv'])
	{
		?>
	<li><a href="index.php?op=adduser">Dodaj uytkownika</a></li>
	<li><a href="index.php?op=changeuserprivilege">Zmie przywileje</a></li>
	<li><a href="index.php?op=changeleagueprivilege">Zmie przywileje do lig</a></li>	
	<li><a href="index.php?op=deleteuser">Usu uytkownika</a></li>
</ul>
	<?php
	}
	?></div>
<div class="admnaglewdol"></div>

	<?php
}
?>
</div>

<!--Tre waciwa-->
<div id="content">
<div class="admnag">
<h2>Administracja</h2>
</div>
<div id="admtresc"><?php
switch($_GET['op'])
{
	case 'manageleagues':
		require('options/manage_leagues.inc.php');
		break;
	case 'manageteams':
		require('options/manage_teams.inc.php');
		break;
	case 'managematches':
		require('options/manage_matches.inc.php');	
		break;	
	case 'savetables':
		require('options/save_tables.inc.php');	
		break;				
	case 'users':
		require('options/users.inc.php');
		break;
	case 'changepassword':
		require('options/change_password.inc.php');
		break;
	case 'adduser':
		require('options/add_user.inc.php');
		break;
	case 'changeuserprivilege':
		require('options/change_user_privilege.inc.php');
		break;
	case 'deleteuser':
		require('options/delete_user.inc.php');
		break;
	case 'changeleagueprivilege':
		require('options/change_league_privilege.inc.php');
		break;
	case 'help':
		require('options/help.inc.php');
		break;
	default:
		require('options/main.inc.php');
}
?> <!--Koniec treci waciwej--></div>
<div class="admnagdol"></div>

</div>

<!-- Stopka -->
<?php require('options/footer.inc.php'); ?>

</div>
<?php
//dhtmlowy kalendarz
if($_GET['op'] == 'managematches'){
	JSCalendar::getCalendarDiv(JSCalendar::POL_SHORT, JSCalendar::POL_LONG);	
}
?>
</body>

</html>
<?php
//zamyka poczenie z baz danych
$db->close();
?>