//Calendar
var datePicker = {
	/*******************
	 REFERENCE PROPERTIES
	 ********************/
	calendarDiv : null,
	calendarForm : null,
	destinationForm : null,
	/*******************
	 UTILITY METHODS
	 ********************/
	// day of week of month's first day
	getFirstDay : function (theYear, theMonth){
		var firstDate = new Date(theYear,theMonth,1);
		//return firstDate.getDay();
		//sunday - 0, monday - 1, fix for monday - 0
		var day = firstDate.getDay();
		return day = day > 0 ? day-1 : 6;
	},
	// number of days in the month
	getMonthLen : function(theYear, theMonth) {
		var nextMonth = new Date(theYear, theMonth + 1, 1);
		nextMonth.setHours(nextMonth.getHours() - 3);
		return nextMonth.getDate();
	},
	getElementPosition : function(elemID) {
		var offsetTrail = document.getElementById(elemID);
		var offsetLeft = 0;
		var offsetTop = 0;
		while (offsetTrail) {
			offsetLeft += offsetTrail.offsetLeft;
			offsetTop += offsetTrail.offsetTop;
			offsetTrail = offsetTrail.offsetParent;
		}
		return {left:offsetLeft, top:offsetTop};
	},
	//mouse position when event occured
	getPageEventCoords : function(evt) {
		var coords = {left:0, top:0};
		if (evt.pageX) {
			coords.left = evt.pageX;
			coords.top = evt.pageY;
		} else if (evt.clientX) {
			coords.left = evt.clientX + document.body.scrollLeft - document.body.clientLeft;
			coords.top = evt.clientY + document.body.scrollTop - document.body.clientTop;
		// include html element space, if applicable
			if (document.body.parentElement && document.body.parentElement.clientLeft) {
				var bodParent = document.body.parentElement;
				coords.left += bodParent.scrollLeft - bodParent.clientLeft;
				coords.top += bodParent.scrollTop - bodParent.clientTop;
			}
		}
		return coords;
	},	
	// position and show calendar
	showCalendar : function(evt, destinationForm) {
		this.destinationForm = destinationForm;
		evt = (evt) ? evt : event;
		if (evt) {
			if (this.calendarDiv.style.visibility != "visible") {
				var elem = (evt.target) ? evt.target : evt.srcElement;
				var position = this.getElementPosition(elem.id);
				//var position = this.getPageEventCoords(evt);
				DHTMLAPI.moveTo(this.calendarDiv.id, position.left + elem.offsetWidth, position.top);
				DHTMLAPI.show(this.calendarDiv.id);
			} else {
				DHTMLAPI.hide(this.calendarDiv.id);
			}
		}
	},
	/************************
	 DRAW CALENDAR CONTENTS
	 *************************/
	// clear and re-populate table based on form's selections
	populateTable : function(form) {
		// pick up date form choices
		var theMonth = form.chooseMonth.selectedIndex;
		var theYear = parseInt(form.chooseYear.options[form.chooseYear.selectedIndex].text);
		// initialize date-dependent variables
		var firstDay = this.getFirstDay(theYear, theMonth);
		var howMany = this.getMonthLen(theYear, theMonth);
		var today = new Date();
		// fill in month/year in table header
		document.getElementById("tableHeader").innerHTML =
		form.chooseMonth.options[theMonth].text + " " + theYear;
		// initialize vars for table creation
		var dayCounter = 1;
		var TBody = document.getElementById("tableBody");
		// clear any existing rows
		while (TBody.rows.length > 0) {
			TBody.deleteRow(0);
		}
		var newR, newC, dateNum;
		var done=false;
		while (!done) {
			// create new row at end
			newR = TBody.insertRow(TBody.rows.length);
			if (newR) {
				for (var i = 0; i < 7; i++) {
					// create new cell at end of row
					newC = newR.insertCell(newR.cells.length);
					if (TBody.rows.length == 1 && i < firstDay) {
						// empty boxes before first day
						newC.innerHTML = "&nbsp;";
						continue;
					}
					if (dayCounter == howMany) {
						// no more rows after this one
						done = true;
					}
					// plug in link/date (or empty for boxes after last day)
					if (dayCounter <= howMany) {
						if (today.getFullYear() == theYear &&
						today.getMonth() == form.chooseMonth.selectedIndex &&
						today.getDate() == dayCounter) {
							newC.id = "today";
						}
						newC.innerHTML = "<a href='#' onclick='datePicker.chooseDate(" +
						dayCounter + "," + theMonth + "," + theYear +
"); return false;'>" + dayCounter + "</a>";
						dayCounter++;
					} else {
						newC.innerHTML = "&nbsp;";
					}
				}
			} else {
				done = true;
			}
		}
	},
	/*******************
	 INITIALIZATIONS
	 ********************/
	// init dispatcher
	init: function(calendarDiv, calendarForm) {
		this.calendarDiv = calendarDiv;
		this.calendarForm = calendarForm;
		//this.destinationForm = destinationForm;
		this.fillYears();
		this.populateTable(calendarForm);
	},
	// create dynamic list of year choices
	fillYears : function() {
		var today = new Date();
		var thisYear = today.getFullYear();
		var yearChooser = document.getElementById("chooseYear");
		//for (i = thisYear; i < thisYear + 5; i++) {
		for (i = 2000; i <= 2016; i++) {
			var defaultSelected = i == thisYear ? true : false;
			yearChooser.options[yearChooser.options.length] = new Option(i, i, defaultSelected, defaultSelected);
		}
		this.setCurrMonth(today);
	},
	// set month choice to current month
	setCurrMonth : function(today) {
		document.getElementById("chooseMonth").selectedIndex = today.getMonth();
	},
	/*******************
	 PROCESS CHOICE
	 ********************/
	chooseDate : function(day, month, year) {
		//this.destinationForm.day.value = day;
		//this.destinationForm.month.value = month + 1;
		//this.destinationForm.year.value = year;
		var sMonth = ++month < 10 ? '0'+month : month;
		var sDay = day < 10 ? '0'+day : day;
		this.destinationForm.value = year + '-' + sMonth + '-' + sDay;
		DHTMLAPI.hide("calendar");
	}
}

addOnLoadEvent(function() {datePicker.init(document.getElementById("calendar"),
document.getElementById("dateChooser"))});