/* ------------------------- */
//Radoslaw Zatoka
//wild_king@o2.pl
// Array of all slides
var allSlides;
// Slide counter
var currSlide;
// select with fixtures
var fixtureSelect;
// Set global with array of slide elements
function getAllSlides(slideContainer) {
	var allChildren = document.getElementById(slideContainer).childNodes;
	var slideElems = new Array();
	for (var i = 0; i < allChildren.length; i++) {
		if (allChildren[i].nodeType == 1) {
			slideElems[slideElems.length] = allChildren[i];
		}
	}
	allSlides = slideElems;
}
// Advance to next slide
function next() {
	if (currSlide < 0) { //poza zakresem z dolu
		allSlides[++currSlide].style.display = "block";
	} else if (currSlide < allSlides.length - 1) { //wyswietlony nieostatni
		allSlides[currSlide].style.display = "none";
		allSlides[++currSlide].style.display = "block";
	}
	updateSelect();
}

// Go to previous slide
function prev() {
	if (currSlide > allSlides.length - 1) { //poza zakresem z gory
		allSlides[--currSlide].style.display = "block";
	} else if (currSlide > 0) { //wyswietlony niepierwszy
		allSlides[currSlide].style.display = "none";
		allSlides[--currSlide].style.display = "block";
	}
	updateSelect();
}

// Ukrywa poprzedni i pokazuje wskazany
function show(number) {
	allSlides[currSlide].style.display = "none";
	allSlides[number].style.display = "block";
	currSlide = number;	
}

function updateSelect(){
	fixtureSelect[currSlide].selected = true;
}

function initSlides(visible, slideContainer, slideId, selectId) {
	document.getElementById(slideId+visible).style.display = 'block';
	currSlide = visible;
	fixtureSelect = document.getElementById(selectId);
	updateSelect();
	getAllSlides(slideContainer);
}
/* ------------------------- */