<?php
/*
 * Tabelkownik
 * plik przykadowy
 *
 * @date 29.08.2008
 * @version 1.5
 * @author Radosaw Zatoka (wild_king@o2.pl)
 * @author Daniel Szczukiewicz
 */
$tbkpath = '.'; //cieka do katalogu tabelkownika, ustawic na wlasciwa
require $tbkpath.'/func/class.tabelkownik.php'; //podlaczenie bibliotek
$tbk = new Tabelkownik($tbkpath); //utworzenie obiektu
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
<meta http-equiv="Content-Language" content="pl" />
<meta name="Author" content="Radosaw Zatoka, Daniel Szczukiewicz" />
<title>Tabelkownik - Strona testowa</title>
<link href="conf/style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="conf/js/script.js"></script>
<script type="text/javascript" src="conf/js/slides.js"></script>
</head>

<body class="install">

<div class="installer">
<?php
/* --- Menu lig --- */
//pobieramy wszystkie dostpne ligi z bazy danych
$q = "SELECT DISTINCT id_liga,nazwa_liga FROM {$tbk->db->getPrefix()}liga ORDER BY id_liga";
$ligi = $tbk->db->getDataToArray($q);

if($ligi == null)
{
	echo "<p class=\"info\">Brak lig w bazie danych! Dodaj lig w <a href=\"conf/\">panelu sterowania</a>.</p>";
}
else
{
	//ustalamy url naszego pliku
	$url = $_SERVER['PHP_SELF'];
	//tworzy menu
	$tbk->html->menuFromArray($ligi,'menu',$url,null);
	//pobieramy 1 lig jako domylna
	$q = "SELECT id_liga FROM {$tbk->db->getPrefix()}liga LIMIT 1";
	$defLiga = $tbk->db->getValue($q);
	//zmienna sterujca ligami
	$liga_num = is_numeric($_GET['num']) ? $_GET['num'] : $defLiga;
	//modyfikacja url dla selecta
	$url .= "?num={$liga_num}";

	echo "<h5>Zwyka tabela</h5>";

	$tbk->displayTable($liga_num,1,false);

	echo "<h5>Rozbudowana tabela z emblematami klubw</h5>";

	$tbk->displayTable($liga_num,2,false);

	echo "<h5>Maa tabela</h5>";

	$tbk->displayTable($liga_num,3,false,true);

	/* --- Select do wyboru kolejki --- */
	$q = "SELECT DISTINCT nr_kolejki, CONCAT(\"Kolejka \", nr_kolejki)
	FROM {$tbk->db->getPrefix()}mecz
	WHERE id_liga={$liga_num}
	ORDER by nr_kolejki";
	$kolejki = $tbk->db->getDataToArray($q);
	
	$q = "SELECT akt_kolejka FROM {$tbk->db->getPrefix()}liga WHERE id_liga={$liga_num}";
	$akt_kol = $tbk->db->getValue($q);
	
	if(!is_numeric($akt_kol)) {$akt_kol = 1;}
	$kol = is_numeric($_POST['kol']) ? $_POST['kol'] : $akt_kol;
	
	$tbk->html->quickSelectForm($url,'POST','Wybierz kolejk do wywietlenia',$kolejki,'kol',$kol);

	echo "<h5>Spotkania z wybranej kolejki</h5>";

	/* --- Wywietlenie spotka (z kolejki)
	 displayFixture(param1,param2[,param3])
	 @param1 - wskazuje id ligi z bazy danych
	 @param2 - numer kolejki, ktrej spotkania zostan wywietlone
	 @param3 - czy wywietla emblematy druyn (big_emblem!), true lub false; domylnie: true --- */
	$tbk->displayFixture($liga_num,$kol);

	echo "<h5>Spotkania bez emblematw klubw</h5>";

	$tbk->displayFixture($liga_num,$kol,false);

	echo "<h5>Tabela krzyowa</h5>";

	/* --- Wywietlenie tabeli krzyowej
	 displayCrossTable(param1)
	 @param1 - wskazuje id ligi z bazy danych ---
	 @param2 - czy uzywac skrotow (domyslnie false) */
	$tbk->displayCrossTable($liga_num, false);

	echo "<h5>Tabela serii</h5>";

	/* --- Wyswietlenie tabeli serii
	 displaySeriesTable(param1[,param2])
	 @param1 - wskazuje id ligi z bazy danych
	 @param2 - kolejka, od ktrej zostanie wygenerowane zestawienie lub flase dla od 1. - domyslnie: false
	 @param3 - kolejka, do ktrej zostanie wygenerowane zestawienie lub false dla wszystkich meczy w bazie danych; domylnie: false
	 @param4 - czy uwazac skrotow - domyslnie: false  --- */
	$tbk->displaySeriesTable($liga_num,false,false,false);

	echo "<h5>Mecze wywietlane z danej kolejki po dacie (musz by ustawione daty)</h5>";

	/* --- Wywietlenie meczw (z kolejki po dacie)
	 displayFixturesByDate(param1,param2[,param3])
	 @param1 - wskazuje id ligi z bazy danych
	 @param2 - wskazuje nr kolejki
	 @param2 - czy wywietla herby (small_emblem!), true lub false; domylnie: true
	 ----------------------------------*/
	$tbk->displayFixturesByDate($liga_num,$kol,true);

	/* Wyswietlenie wszystkich kolejek
	** displayFixtures($id_liga, $emblemy = true, $sort = 1)
	* @param1 - wskazuje id ligi z bazy danych
	* @param2 - czy wyswietlac emblemy
	* @param3 - 1 : mecze od pierwszej do ostatniej kolejki, -1 : mecze od ostatniej do pierwszej
	*/
	/*
	$tbk->displayFixtures($liga_num,true,1);
	*/
	
	echo "<h5>Wszystkie kolejki (wymaga pliku js!)</h5>";
	/* --- Wywietlenie terminarza na slajdach
	 ddisplayAllFixtures(param1[,param2])
	 @param1 - wskazuje id ligi z bazy danych
	 @param2 - czy wywietla herby (small_emblem!) true lub false; domylnie: true
	 ----------------------------------*/	
	$tbk->displayAllFixtures($liga_num);
	
	echo "<h5>Nastpny mecz</h5>";
	/** displayMatches - Wyswietla pojedyncze mecze ulubionej druzyny (lub innej druzyny)
	 *  @param int $id_liga identyfikator ligi
	 *  @param int $liczba_nast_meczow ile nastepnych meczow wyswietlic (liczba ujemna wyswietla poprzednie mecze)
	 *  @param boolean $emblemy czy wyswietlone sa emblemy - duze emblemy (domyslnie false)
	 *  @param int $kol_od kolejka od ktorej zaczynamy wyswietlanie (domyslnie: null - kolejka aktualna) 
	 *  @param int $id_druzyna druzyna ktorej mecze wyswietlamy (domyslnie pierwsza druzyna)
	 */
	$tbk->displayMatches($liga_num, 1, true);	
	echo "<h5>Poprzedni mecz</h5>";
	$tbk->displayMatches($liga_num, -1);
	//$tbk->displayMatches($liga_num, 3, 15);
	//$tbk->displayMatches($liga_num, -3, 15);	

	/* Wyswietlenie punktow ujemnych
	 *  @param int $id_liga identyfikator ligi
	*/
	$tbk->displayNegativePoints($liga_num);
}
?>
</div>

</body>

</html>