<?php
/*
 * Tabelkownik
 * klasa GenerateHTML
 *
 * @date 29.08.2008
 * @version 1.5
 * @author Radosaw Zatoka (wild_king@o2.pl)
 */
class GenerateHTML
{
	private $html;
	private $db;

	function __construct(MysqlDB $db){
		$this->db = $db;
	}

	function display()
	{
		echo $this->html;
		$this->html = '';
	}
	//tworzy input
	function input($inputName = 'inp', $inputSize = 2, $inputValue = null, $inputLength = null)
	{
		$this->html .= '<input type="text" name="'.$inputName.'"';
		if(isset($inputSize)){
			$this->html .= ' size="'.$inputSize.'"';
		}
		if(isset($inputLength)){
			$this->html .= ' maxlength="'.$inputLength.'"';
		}
		if(isset($inputValue)){
			$this->html .= ' value="'.$inputValue.'"';
		}
		$this->html .= ' />'."\n";
	}
	//tworzy submit
	function submit($value = 'Zatwierd', $event = null)
	{
		$this->html .= "<input type=\"submit\" value=\"$value\"$event>\n";
	}
	//tworzy pole select z opcjami z tablicy
	function selectFromArray($array, $selectName = 'sel', $selectedValue = null, $selectOnChange = null, $default = null)
	{
		$this->html .= "<select name=\"$selectName\"$selectOnChange>\n";
		if($default) {$this->html .= "<option value=\"\">{$default}</option>\n";}
		for($i=0; $i < count($array); $i++)
		{
			$t = array_values($array[$i]);
			if(count($t) > 2)
			{
				$optionText = "";
				for($j = 1; $j <= count($t); $j++) {$optionText .= $t[$j]." ";}
			}
			else {$optionText = $t[1];}
			$this->html .= "<option value=\"{$t[0]}\"";
			if($t[0] == $selectedValue)
			{
				$this->html .= " selected=\"selected\"";
			}
			$this->html .= ">{$optionText}</option>\n";
		}
		$this->html .= "</select>\n";
	}
	//tworzy formularz do dodania pojedynczego meczu
	function gameForm($arr, $formAction, $formMethod = 'post')
	{
		$this->html = "<form action=\"$formAction\" method=\"$formMethod\">\n";
		$this->html .= "<table class=\"tab_gameform\">\n";
		$this->html .= "<tr>\n<td colspan=\"6\">Dodaj mecz do kolejki nr: \n";
		$this->input('nr_kolejki',2,null,2);
		$this->html .= "</td>\n</tr>\n";
		$this->html .= "<tr>\n<td>\n";
		$this->selectFromArray($arr, 'gosp');
		$this->html .= "</td>\n<td>-</td>\n<td>\n";
		$this->selectFromArray($arr, 'gosc');
		$this->html .= "</td>\n<td>\n";
		$this->input('bramki_gosp',2,null,2);
		$this->html .= "</td>\n<td>:</td>\n<td>\n";
		$this->input('bramki_gosc',2,null,2);
		$this->html .= "</td>\n</tr>\n";		
		$this->html .= "<tr>\n<td class=\"right\" colspan=\"6\">\nData i godzina meczu: ";
		//$this->input("game_data",14);
		$this->html .= $this->dateForm('game_data','onclick="datePicker.showCalendar(event, this.form.game_data)"');
		$this->html .= ' Godz meczu '."\n";
		$this->html .= $this->timeForm('game_time');		
		$this->html .= "</td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"row_ft\" colspan=\"6\">\n";
		$this->submit('Dodaj mecz');
		$this->html .= "</td>\n</tr>\n</table>";
		$this->html .= "</form>\n";
		$this->display();
	}
	//tworzy formularz do dodania kolejki
	function fixtureForm($arr, $formAction, $values)
	{
		$game_num = count($arr) / 2;
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<input type=\"hidden\" name=\"game_num\" value=\"$game_num\">\n";
		$this->html .= "<table class=\"tab_fixtureform\">\n<tr>\n";
		$this->html .= "<td colspan=\"6\">Numer kolejki: ";
		$this->input('fix_num',2,$values['nr_kolejki'],2);
		$this->html .= "</td>\n</tr>\n";
		for($i = 1; $i <= $game_num; $i++)
		{
			//wartosci domyslne
			if(is_string($values['bramki_gosp'][$i])){$values['bramki_gosp'][$i]=null;}	
			if(is_string($values['bramki_gosc'][$i])){$values['bramki_gosc'][$i]=null;}
			if($values['data'][$i]!='NULL') {$values['data'][$i]=substr($values['data'][$i],1,10);} else {$values['data'][$i]=null;} //wydobycie daty	
			$this->html .= "<tr>\n<td>\n";
			$this->selectFromArray($arr, "gosp$i", $values['gosp'][$i]);
			$this->html .= "</td>\n<td>-</td>\n<td>\n";
			$this->selectFromArray($arr, "gosc$i", $values['gosc'][$i]);
			$this->html .= "</td>\n<td>\n";
			$this->input("bramki_gosp$i",2,$values['bramki_gosp'][$i],2);
			$this->html .= "</td>\n<td>:</td>\n<td>\n";
			$this->input("bramki_gosc$i",2,$values['bramki_gosc'][$i],2);
			$this->html .= "</td>\n</tr>\n";
			$this->html .= "<tr>\n<td class=\"right\" colspan=\"6\">\nData meczu: ";
			$this->html .= $this->dateForm("fix_data$i",'onclick="datePicker.showCalendar(event, this.form.fix_data'.$i.')"',$values['data'][$i]);
			$this->html .= ' Godz. meczu '."\n";
			$this->html .= $this->timeForm("fix_time$i",$values['godz'][$i],$values['min'][$i]);
			$this->html .= "</td>\n";
			$this->html .= "</tr>\n";
		}
		$this->html .= "<tr>\n<td colspan=\"6\" class=\"row_ft\">";
		$this->submit('Dodaj kolejk');
		$this->html .= "</td>\n</tr>\n</table>";
		$this->html .= "</form>\n";
		$this->display();
	}
	//tworzy formularz do edycji kolejki
	function editFixtureForm($fixtArray, $formAction, $kolejki, $editleague, $selectedFixture)
	{
		if (!empty($selectedFixture))
		{
			$q = "SELECT count(*) as game_num
			FROM {$this->db->getPrefix()}mecz
			WHERE id_liga={$editleague}
			AND nr_kolejki={$selectedFixture}";
			$game_num = $this->db->getValue($q);
			$this->html = "<form action=\"{$formAction}\" method=\"post\" id=\"eff\">\n";
			$this->html .= "<input type=\"hidden\" name=\"game_num\" value=\"{$game_num}\">\n";
			$this->html .= "<input type=\"hidden\" name=\"howsent_edit_fixt\" value=\"changed\" />\n";
			$this->html .= "<table class=\"tab_editfixtureform\">\n";
			$this->html .= "<tr>\n<td class=\"row_hd\" colspan=\"6\">Numer kolejki: ";
			$this->selectFromArray($kolejki, "edit_fixture", $selectedFixture, " onchange=\"this.form.submit();\"");
			$this->html .= "</td>\n</tr>\n";
			//pobranie ustawionych wartoci
			$q = "SELECT gosp, gosc, bramki_gosp, bramki_gosc, id_mecz, 
						 DATE_FORMAT(data,'%Y-%m-%d'), DATE_FORMAT(data,'%H'), DATE_FORMAT(data,'%i'),
						 komentarz
			FROM {$this->db->getPrefix()}mecz
			WHERE id_liga={$editleague} AND nr_kolejki={$selectedFixture}
			ORDER BY id_mecz";
			$selectedValues = $this->db->getDataToArray($q);
			for($i = 1; $i <= $game_num; $i++)
			{
				$j = $i-1;
				$t = array_values($selectedValues[$j]);
				$this->html .= "<input type=\"hidden\" name=\"edit_id_mecz{$i}\" value=\"{$t[4]}\">\n";
				$this->html .= "<tr>\n<td>\n";
				$this->selectFromArray($fixtArray, "edit_gosp{$i}", $t[0]);
				$this->html .= "</td>\n<td>-</td>\n<td>\n";
				$this->selectFromArray($fixtArray, "edit_gosc{$i}", $t[1]);
				$this->html .= "</td>\n<td>\n";
				$this->input("edit_bramki_gosp{$i}", 2, $t[2], 2);
				$this->html .= "</td>\n<td>:</td>\n<td>\n";
				$this->input("edit_bramki_gosc{$i}", 2, $t[3], 2);
				$this->html .= "</td>\n</tr>\n";
				$this->html .= "<tr>\n<td class=\"right\" colspan=\"6\">\nData meczu: ";
				//$this->input("edit_data{$i}",14,$t[5]);
				$this->html .= $this->dateForm("edit_data$i",'onclick="datePicker.showCalendar(event, this.form.edit_data'.$i.')"',$t[5]);
				$this->html .= ' Godz. meczu '."\n";
				if($t[6] == '00'&& $t[7]=='00') {$t[6] = null; $t[7] = null;} //jezeli czas nie ustawiony
				$this->html .= $this->timeForm("edit_time$i",$t[6],$t[7]);				
				$this->html .= "</td>\n</tr>\n";
				$this->html .= "<tr>\n<td class=\"right\">Komentarz:</td>\n";
				$this->html .= "<td colspan=\"5\">\n";
				$t[8] = str_replace('"',"'",$t[8]); //zamiana " na ' (" nie moze byc wyswietlony w input miedzy value="")
				$this->input("edit_komentarz{$i}", 46, $t[8]);
				$this->html .= "</td>\n</tr>\n";
			}
			$this->html .= "<tr>\n<td colspan=\"6\" class=\"row_ft\">";
			$this->submit("Zmodyfikuj kolejk", " onclick=\"this.form.howsent_edit_fixt.value='submitted';\"");
			$this->html .= "</td>\n</tr>\n</table>";
			$this->html .= "</form>\n";
		}
		else {
			$this->html = "<p class=\"hello\">Nie ma adnych kolejek do edycji.</p>\n";
		}
		$this->display();
	}
	//tworzy htmlowa tabel z tablicy
	function tableFromArray($arr, $tableClass = 'main', $header = true, $numberedRows = true)
	{
		$row_number = count($arr);
		if($row_number > 0)
		{
			$this->html = "<table class=\"$tableClass\" cellpadding=\"1\" cellspacing=\"1\">\n";
			if($header)
			{
				$this->html .= "<thead>\n";
				if($numberedRows) {$this->html .= "<th></th>\n";}
				foreach($arr[0] as $key => $value)
				{
					$this->html .= "<th>".$key."</th>\n";
				}
				$this->html .= "</thead>\n";
			}
			for($i = 0; $i < $row_number; $i++)
			{
				$j = $i+1; $k = 1;
				$trClass = 'row'.$j;
				$tdClass = 'col'.$k;
				$this->html .= "<tr class=\"{$trClass}\">\n";
				if ($numberedRows) {$this->html .= "<td class=\"{$tdClass}\">$j.</td>\n"; $k++;}
				foreach($arr[$i] as $value)
				{
					$tdClass = 'col'.$k++;
					$this->html .= "<td class=\"{$tdClass}\">".$value."</td>\n";
				}
				$this->html .= "</tr>\n";
			}
			$this->html .= "</table>\n";
			$this->display();
		}
	}
	//tworzy dynamicznie linki z zawartoci tabeli w bazie danych
	function linksFromArray($arr, $aClass = 'menuLink', $style = null)
	{
		$this->html = '';
		if($style) $s = "&amp;style=".$style;
		$row_number = count($arr);
		for($i=0;$i<$row_number;$i++)
		{
			$t = array_values($arr[$i]);
			$link = strToUrl("football.php?num={$t[0]}{$s}");
			$this->html .= "<p><a class=\"{$aClass}\" href=\"{$link}\" \>".$t[1]."</a></p>\n";
		}
		$this->display();
	}
	function menuFromArray($array,$menuClass,$phpself,$style)
	{
		$s = '';
		if($style) {
			$s = "&amp;style=".$style;
		}
		for($i = 0; $i < count($array); $i++)
		{
			$id_liga = $array[$i]['id_liga'];
			$dokleic = "?num={$id_liga}{$s}";
			$link_url = $phpself.$dokleic;
			$link_name = $array[$i]['nazwa_liga'];
			$this->html .= "<a class=\"{$menuClass}\" href=\"{$link_url}\" title=\"{$link_name}\">{$link_name}</a>\n";
		}
		$this->display();
	}
	//generuje linki z tablicy [z plikami]
	function linksFromFarray($filesArray, $link, $aClassName = "style")
	{
		$this->html = '';
		$num_rows = count($filesArray);
		for($i = 0; $i < $num_rows; $i++)
		{
			$this->html .= "| <a class=\"$aClassName\" href=\"$link{$filesArray[$i]}\">{$filesArray[$i]}</a> \n";
		}
		$this->html .= " |";
		$this->display();
	}
	//tworzy formularz do dodawania pojedynczych wartoci do bazy danych
	function addInputForm($formAction, $label, $inputName)
	{
		$tableClass = "tab_".$inputName;
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<table class=\"$tableClass\">\n<tr>\n<td>$label</td>\n<td>\n";
		$this->input($inputName, 25);
		$this->html .= "</td>\n";
		$this->html .= "<td>\n";
		$this->submit();
		$this->html .=	"</td>\n</tr>\n</table>\n";
		$this->html .= "</form>\n";
		$this->display();
	}
	//tworzy formularz: pole select + submit
	function selectForm($formAction, $label, $selectArr, $selectName, $formMethod = 'post', $selectedValue = null, $event = null)
	{
		$tableClass = "tab_".$selectName;
		$this->html = "<form action=\"$formAction\" method=\"$formMethod\"$event>\n";
		$this->html .= "<table class=\"$tableClass\">\n<tr>\n<td>$label</td>\n";
		$this->html .= "<td>\n";
		$this->selectFromArray($selectArr, $selectName, $selectedValue);
		$this->html .= "</td>\n";
		$this->html .= "<td>\n";
		$this->submit();
		$this->html .=	"</td>\n";
		$this->html .= "</tr>\n</table>\n";
		$this->html .= "</form>\n";
		$this->display();
	}
	//tworzy formularz: pole select - automatyczne submit przy zmianie
	function quickSelectForm($formAction,$method,$label,$selectArr,$selectName,$selectedValue,$firstSelectOption = null)
	{
		$tableClass = "tab_".$selectName;
		$this->html = "<form action=\"{$formAction}\" method=\"{$method}\">\n";
		$this->html .= "<table class=\"{$tableClass}\">\n<tr>\n<td>{$label}</td>\n<td>\n";
		$event = " onchange=\"if (this.value != '') this.form.submit();\"";
		$this->selectFromArray($selectArr,$selectName,$selectedValue,$event,$firstSelectOption);
		$this->html .=	"</td>\n</tr>\n</table>\n";
		$this->html .= "</form>\n";
		$this->display();
	}
	//tworzy formularz do zmiany nazwy/skrtu druyny
	function editForm($formAction, $label, $selectArr, $selectName, $inputName, $formMethod = 'post', $selectedValue = null)
	{
		$tableClass = "tab_".$selectName."_".$inputName;
		$this->html = "<form action=\"{$formAction}\" method=\"{$formMethod}\">\n";
		$this->html .= "<table class=\"{$tableClass}\">\n<tr>\n<td colspan=\"4\">{$label}</td>\n</tr>\n<td>\n";
		$this->selectFromArray($selectArr, $selectName, $selectedValue);
		$this->html .= "</td>\n<td>na</td>\n<td>";
		$inputName = $selectName."_".$inputName;
		$this->input($inputName, 20);
		$this->html .= "</td>\n<td>\n";
		$this->submit();
		$this->html .=	"</td>\n";
		$this->html .= "</tr>\n</table>\n";
		$this->html .= "</form>\n";
		$this->display();
	}
	//show teams
	function showTeams($id_liga)
	{
		$q = "SELECT nazwa_druzyna, skrot, small_emblem, big_emblem
		FROM {$this->db->getPrefix()}druzyna
		WHERE id_liga={$id_liga}
		ORDER BY nazwa_druzyna ASC";
		$teams = $this->db->getDataToArray($q);
		$teams_num = count($teams);
		if($teams_num > 0){
			$this->html = "<table class=\"tab_druzyny\" cellpadding=\"1\" cellspacing=\"1\">\n";
			$this->html .= "<thead>\n";
			$this->html .= "<th></th>\n";
			$this->html .= "<th>Druyna</th>\n";
			$this->html .= "<th>Skrt</th>\n";
			$this->html .= "<th>May herb</th>\n";
			$this->html .= "<th>Duy herb</th>\n";
			$this->html .= "</thead>\n";
			for($i=0; $i < $teams_num; $i++){
				$team = $teams[$i];
				$num = $i + 1;
				$this->html .= "<tr class=\"row{$num}\">\n";
				$this->html .= "<td class=\"col1\">{$num}</td>\n";
				$this->html .= "<td class=\"col2\">{$team['nazwa_druzyna']}</td>\n";
				$this->html .= "<td class=\"col3\">{$team['skrot']}</td>\n";
				$small_emb_img = !empty($team['small_emblem']) ? "<img src=\"../images/emblems/{$team['small_emblem']}\" alt=\"{$team['nazwa_druzyna']}\" />" : null;
				$this->html .= "<td class=\"col4\">{$small_emb_img}</td>\n";
				$big_emb_img = !empty($team['big_emblem']) ? "<img src=\"../images/emblems/{$team['big_emblem']}\" alt=\"{$team['nazwa_druzyna']}\" />" : null;
				$this->html .= "<td class=\"col5\">{$big_emb_img}</td>\n";
				$this->html .= "</tr>\n";
			}
			$this->html .= "</table>\n";
			$this->display();
		}
	}
	//wywietla mecze
	function showFixGam($id_liga,$akt_kol)
	{
		if(!isset($akt_kol)) {
			$akt_kol = 1;
		}
		$q = "SELECT DISTINCT nr_kolejki
		FROM {$this->db->getPrefix()}mecz
		WHERE id_liga={$id_liga}
		ORDER BY nr_kolejki ASC";
		$kolejki = $this->db->getDataToArray($q);
		for($i = 0; $i < count($kolejki); $i++)
		{
			if($kolejki[$i]['nr_kolejki'] == $akt_kol) {$divdisplay = "block";} else {$divdisplay = "none";}
			$this->html .= "<div id=\"divkol{$i}\" style=\"display:{$divdisplay};\">\n<span class=\"kolejka\">Kolejka {$kolejki[$i]['nr_kolejki']}</span><br />\n";
			$q = "SELECT d1.nazwa_druzyna as gosp, d2.nazwa_druzyna as gosc,
			m.bramki_gosp as br_gosp, m.bramki_gosc as br_gosc,
			DATE_FORMAT(m.data,'%e. %b, %H:%i') as data
			FROM {$this->db->getPrefix()}druzyna d1, {$this->db->getPrefix()}druzyna d2, {$this->db->getPrefix()}mecz m
			WHERE d1.id_druzyna=m.gosp AND d2.id_druzyna=m.gosc
			AND m.nr_kolejki={$kolejki[$i]['nr_kolejki']} AND m.id_liga={$id_liga}
			ORDER BY m.nr_kolejki, m.data, m.id_mecz";
			$mecze = $this->db->getDataToArray($q);
			for($j = 0; $j < count($mecze); $j++)
			{
				if(!is_numeric($mecze[$j]["br_gosp"]))  {$mecze[$j]["br_gosp"]="-";}
				if(!is_numeric($mecze[$j]["br_gosc"]))  {$mecze[$j]["br_gosc"]="-";}
				if(!empty($mecze[$j]["data"])) {$mecze[$j]["data"]=' , '.translateDate($mecze[$j]["data"],"short").'.';}

				$this->html .= $mecze[$j]["gosp"]." - ".$mecze[$j]["gosc"]." "
				.$mecze[$j]["br_gosp"]." : ".$mecze[$j]["br_gosc"]
				.$mecze[$j]["data"]."<br />\n";
			}
			$this->html .= "</div>\n";
		}
		if(count($kolejki) > 1){
			$l = count($kolejki);
			$akt_kol--;
			$this->html .= "<p><a href=\"javascript:pokazMecze({$l},{$akt_kol});\">poka wszystkie/ukryj</a></p>\n";
		}
		$this->display();
	}
	//formularz do dodania uytkownika
	function addUserForm($formAction)
	{
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<table class=\"tab_add_user\">\n";
		$this->html .= "<tr>\n<td class=\"right\">Podaj nazw uytkownika:</td>\n";
		$this->html .= "<td><input type=\"text\" name=\"add_user\" /></td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Podaj haso uytkownika:</td>\n";
		$this->html .= "<td><input type=\"password\" name=\"add_pass\" /></td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Potwierd haso uytkownika:</td>\n";
		$this->html .= "<td><input type=\"password\" name=\"add_pass_confirm\" /></td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Przywileje Admina:</td>\n";
		$this->html .= "<td><select name=\"add_admin_priv\">\n";
		$this->html .= "<option value=\"0\">Nie</option>\n";
		$this->html .= "<option value=\"1\">Tak</option>\n";
		$this->html .= "</select></td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Przywileje Superadmina:</td>\n";
		$this->html .= "<td><select name=\"add_superadmin_priv\">\n";
		$this->html .= "<option value=\"0\">Nie</option>\n";
		$this->html .= "<option value=\"1\">Tak</option>\n";
		$this->html .= "</select></td>\n</tr>\n";
		$this->html .= "<tr>\n<td colspan=\"2\" class=\"center\"><input type=\"submit\" value=\"Dodaj uytkownika\" /></td>\n";
		$this->html .= "</tr>\n</table>\n</form>\n";
		$this->display();
	}
	//generuje formularz do zmiany hasa
	function changePass($formAction)
	{
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<table class=\"tab_changepass\">\n";
		$this->html .= "<tr>\n<td class=\"right\">Podaj stare haso:</td>\n";
		$this->html .= "<td><input type=\"password\" name=\"old_pass\" /></td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Podaj nowe haso:</td>\n";
		$this->html .= "<td><input type=\"password\" name=\"new_pass\" /></td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Przepisz nowe haso:</td>\n";
		$this->html .= "<td><input type=\"password\" name=\"new_pass_retype\" /></td>\n</tr>\n";
		$this->html .= "<tr>\n<td colspan=\"2\" class=\"center\"><input type=\"submit\" value=\"Zmie haso\" /></td>\n";
		$this->html .= "</tr>\n</table>\n</form>\n";
		$this->display();
	}
	//generuje formularz do zmiany przywilejw uytkownikw
	function changePrivs($formAction, $selArray)
	{
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<table class=\"tab_changeprivs\">\n";
		$this->html .= "<tr>\n<td class=\"right\">Wybierz uytkownika:</td>\n<td>\n";
		$this->selectFromArray($selArray, "edit_user");
		$this->html .= "</td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Przywileje Admina:</td>\n";
		$this->html .= "<td><select name=\"edit_admin_priv\">\n";
		$this->html .= "<option value=\"0\">Nie</option>\n";
		$this->html .= "<option value=\"1\">Tak</option>\n";
		$this->html .= "</select></td>\n</tr>\n";
		$this->html .= "<tr>\n<td class=\"right\">Przywileje Superadmina:</td>\n";
		$this->html .= "<td><select name=\"edit_superadmin_priv\">\n";
		$this->html .= "<option value=\"0\">Nie</option>\n";
		$this->html .= "<option value=\"1\">Tak</option>\n";
		$this->html .= "</select></td>\n</tr>\n";
		$this->html .= "<tr>\n<td colspan=\"2\" class=\"center\"><input type=\"submit\" value=\"Zmie przywileje\" /></td>\n";
		$this->html .= "</tr>\n</table>\n</form>\n";
		$this->display();
	}
	//generuje formularze do nadawania i odbierania przywilejw do lig
	function changeLeaguePrivs($formAction, $addordel, $tableHeader, $leagueforuser)
	{
		if(!isset($leagueforuser)) {
			$q = "SELECT id_liga FROM {$this->db->getPrefix()}liga ORDER BY id_liga LIMIT 1";
			$leagueforuser=$this->db->getValue($q);
		}
		$hiddenName = "howsent_".$addordel."_lprivs";
		$tableClass = "tab_".$addordel."_league_privs";
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<input type=\"hidden\" name=\"$hiddenName\" value=\"changed\" />\n";
		$this->html .= "<table class=\"$tableClass\">\n";
		$this->html .= "<tr>\n<td class=\"right\">Wybierz lig:</td>\n<td>\n";
		$q = "SELECT id_liga, nazwa_liga
		FROM {$this->db->getPrefix()}liga
		ORDER BY id_liga";
		$selArrayL = $this->db->getDataToArray($q);
		$this->selectFromArray($selArrayL, "league_for_user", $leagueforuser, " onchange=\"this.form.submit();\"");
		$this->html .= "</td>\n</tr>\n";
		$q = "SELECT username as u1, username as u2
		FROM {$this->db->getPrefix()}users
		WHERE superadmin_priv!=1
		AND username ";
		if($addordel=="add") {
			$q .= "NOT ";
		}
		$q .= "IN (
		SELECT username
		FROM {$this->db->getPrefix()}users_privs
		WHERE owner_id_liga={$leagueforuser}
		)";
		$selArrayU = $this->db->getDataToArray($q);
		if(count($selArrayU)>0)
		{
			$selName = "user_".$addordel."_league_privs";
			$this->html .= "<tr>\n<td class=\"right\">Wybierz uytkownika:</td>\n<td>\n";
			$this->selectFromArray($selArrayU, "$selName");
			$this->html .= "</td>\n</tr>\n";
			$this->html .= "<tr>\n<td colspan=\"2\" class=\"center\"><input type=\"submit\" value=\"Zmie przywileje\" onclick=\"this.form.$hiddenName.value='submitted';\" /></td>\n</tr>\n";
		}
		else
		{
			$slowo = $addordel == 'add' ? "nada" : "odebra";
			$this->html .= "<tr>\n<td colspan=\"2\">Nie ma uytkownika, ktremu mgby {$slowo} uprawnienia do biecej ligi.</td>\n</tr>\n";
		}
		$this->html .= "</table>\n</form>\n";
		$this->display();
	}
	//generuje formularz do importu meczw
	function importForm($action,$tab_class,$hd_text,$textarea_name,$rows,$cols,$txt)
	{
		$this->html = "<form action=\"{$action}\" method=\"post\">\n";
		$this->html .= "<table class=\"{$tab_class}\">\n";
		$this->html .= "<tr><td>{$hd_text}</td>";
		$this->html .= "</tr>\n";
		$this->html .= "<tr><td colspan=\"2\">\n";
		$this->html .= "<textarea name=\"{$textarea_name}\" rows=\"{$rows}\" cols=\"{$cols}\">{$txt}</textarea>\n";
		$this->html .= "</td></tr>\n";
		$this->html .= "<tr><td class=\"row_ft\" colspan=\"2\">\n";
		$this->html .= "<input type=\"submit\" value=\"Zatwierd\">\n";
		$this->html .= "</td></tr>\n";
		$this->html .= "</table>\n";
		$this->html .= "</form>\n";
		$this->display();
	}
	//
	function p($text, $pClass = "text")
	{
		$this->html = "<p class=\"$pClass\">$text</p>\n";
		$this->display();
	}

	//wywietla uytkownikw
	function showUsers()
	{
		$q = "SELECT username as Uytkownik, if(admin_priv=1,'Tak','Nie') as Admin,
		if(superadmin_priv=1,'Tak','Nie') as Superadmin
		FROM {$this->db->getPrefix()}users
		ORDER BY username";
		$users = $this->db->getDataToArray($q);
		//ustalenie przywilejow
		$users_num = count($users);		
		for($i = 0; $i < $users_num; $i++)
		{
			if($users[$i]['Superadmin']=="Tak") {
				$users[$i]['Posiada dostp do:']="Peny dostp";
				continue;
			}
			$owner = ''; //czyci zmienn z uprawnieniami (na wypadek, gdyby kto nie mia adnych uprawnie)
			$q = "SELECT nazwa_liga
			FROM {$this->db->getPrefix()}liga
			WHERE id_liga IN
			(
			SELECT owner_id_liga
			FROM {$this->db->getPrefix()}users_privs
			WHERE username={$this->db->escape($users[$i]['Uytkownik'])}
			)
			ORDER BY id_liga";
			$owneroflgs = $this->db->getDataToArray($q);
			for($j = 0; $j < count($owneroflgs); $j++){
				$owner .= $owneroflgs[$j]['nazwa_liga']."<br /> ";
			}
			$owner = substr($owner, 0, strlen($owner)-7);
			$users[$i]['Posiada dostp do:'] = $owner;
		}
		$this->tableFromArray($users, 'tab_users', true, true);
	}
	//generuje formularz do uploadu plikw
	function uploadEmbForm($action, $druzyny){
		$this->html = "<form enctype=\"multipart/form-data\" action=\"{$action}\" method=\"POST\">\n";
		$this->html .= "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"350000\" />\n";
		$this->html .= "<table class=\"tab_emp_upload\">\n";
		$this->html .= "<tr><td class=\"right\">Wybierz druyn:</td>\n<td>";
		$this->selectFromArray($druzyny,"emb_team_name");
		$this->html .= "</td>\n";
		$this->html .= "</tr>\n";
		$this->html .= "<tr><td>Plik z herbem:</td>\n<td><input name=\"emblem\" type=\"file\" /></td>\n</tr>\n";
		$this->uploadEmbFormResizeRow('emb_big_', 'Duy herb');
		$this->uploadEmbFormResizeRow('emb_small_', 'May herb');
		$this->html .= "<tr><td colspan=\"2\" class=\"row_ft\"><input type=\"submit\" value=\"Wylij pliki\" /></td>\n";
		//$this->html .= "<td><a href=\"ftp.miniclient.php\" target=\"_blank\" title=\"Zmienia uprawnienia uploadowanych plikow\">Miniklient FTP</a></td>";
		$this->html .= "</tr></table>\n</form>\n";
		$this->display();
	}
	//generuje wiersz ze skalowaniem obrazow dla formularza uploadu
	function uploadEmbFormResizeRow($name, $label)
	{
		$this->html .= "<tr>\n<td><input type=\"checkbox\" name=\"{$name}resize\" ";
		if($name=='emb_small_'){
			$this->html .= 'checked="checked" ';
		}
		$this->html .= "onclick=\"enableResize(this.checked, '{$name}');\" />Skalowanie</td>\n";
		$this->html .= "<td>{$label}: <input type=\"text\" name=\"{$name}width\" id=\"{$name}width\" size=\"3\" maxlength=\"3\"";
		if($name=='emb_small_'){
			$this->html .= ' value="25" style="border:1px solid black;"';
		} else {
			$this->html .= ' disabled="disabled"';
		}
		$this->html .= 	" /> x \n<input type=\"text\" name=\"{$name}height\" id=\"{$name}height\" size=\"3\" maxlength=\"3\"";
		if($name=='emb_small_'){
			$this->html .= ' value="25" style="border:1px solid black;"';
		} else {
			$this->html .= ' disabled="disabled"';
		}
		$this->html .= " /> pikseli \n<input type=\"checkbox\" name=\"{$name}transparency\" id=\"{$name}transparency\"";
		if($name!='emb_small_'){
			$this->html .= ' disabled="disabled"';
		}
		$this->html .= " /> Przezroczysto</td>\n</tr>\n";
	}
	/**
	 *
	 */
	function timeForm($selectName, $hourSelected = null, $minSelected = null)
	{
		//godziny
		$html = '<select name="'.$selectName.'_hour">'."\n";
		$html .= '<option value="">--</option>'."\n";
		for($i = 10; $i < 24; $i++){
			$value = $i < 10 ? '0'.$i : $i;
			if($value != $hourSelected){
				$html .= '<option value="'.$value.'">'.$value.'</option>'."\n";
			} else {
				$html .= '<option value="'.$value.'" selected="selected">'.$value.'</option>'."\n";
			}
		}
		$html .= '</select>'."\n";
		//minuty
		$html .= ' : <select name="'.$selectName.'_minutes">'."\n";
		$html .= '<option value="">--</option>'."\n";
		for($i = 0; $i < 60; $i+=5){
			$value = $i < 10 ? '0'.$i : $i;
			if($value != $minSelected){
				$html .= '<option value="'.$value.'">'.$value.'</option>'."\n";
			} else {
				$html .= '<option value="'.$value.'" selected="selected">'.$value.'</option>'."\n";
			}
		}
		$html .= '</select>'."\n";
		return $html;
	}
	/**
	 *
	 */
	function dateForm($inputName, $event = null, $default = null)
	{
		$html = '<input type="text" name="'.$inputName.'" id="' . 
				$inputName.'_date" size="11" maxlength="10" value="'.$default.'" />'."\n";
		$html .= '<input type="button" id="'.$inputName.'_button" value="K" '.$event.' />';
		return $html;
	}
	/**
	 * Generuje formularz do zapisywania tabel do plikow
	 *
	 * @param unknown_type $formAction
	 * @param unknown_type $leagues
	 */
	function saveTablesToFileForm($formAction, $leagues){
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<table class=\"tab_save_tables_to_file\">\n";
		$this->html .= "<tr>\n";
		$this->html .= "<td colspan=\"2\">";
		$this->html .= $this->selectFromArray($leagues,'savetable_league',null,null,'Wybierz lig...');
		$this->html .= "</td>\n</tr>\n";		
		$this->html .= "<tr><td class=\"center\">Zwyka tabela</td>\n";
		$this->html .= "<td><input type=\"checkbox\" name=\"savetable_medium\" checked=\"checked\" /></td>\n</tr>\n";
		$this->html .= "<tr><td class=\"center\">Dua tabela</td>\n";
		$this->html .= "<td><input type=\"checkbox\" name=\"savetable_big\" checked=\"checked\" /></td>\n</tr>\n";
		$this->html .= "<tr><td class=\"center\">Maa tabela</td>\n";
		$this->html .= "<td><input type=\"checkbox\" name=\"savetable_small\" checked=\"checked\" /></td>\n</tr>\n";
		$this->html .= "<tr><td class=\"center\">Terminarz</td>\n";
		$this->html .= "<td><input type=\"checkbox\" name=\"savetable_fixtures\" checked=\"checked\" /></td>\n</tr>\n";					
		$this->html .= "<tr><td class=\"center\">Tabela krzyowa</td>\n";
		$this->html .= "<td><input type=\"checkbox\" name=\"savetable_cross\" checked=\"checked\" /></td>\n</tr>\n";	
		$this->html .= "<tr><td class=\"center\">Tabela serii</td>\n";		
		$this->html .= "<td><input type=\"checkbox\" name=\"savetable_series\" checked=\"checked\" /></td>\n</tr>\n";
		$this->html .= "<tr><td class=\"center\">Terminarz na slajdach</td>\n";
		$this->html .= "<td><input type=\"checkbox\" name=\"savetable_fixt_slides\" checked=\"checked\" /></td>\n</tr>\n";		
		$this->html .= "<tr><td colspan=\"2\" class=\"row_ft\"><input type=\"submit\" value=\"Zapisz\" /></td></tr>\n";	
		$this->html .= "</table>\n";
		$this->html .= "</form>\n";
		$this->display(); 
	}
	/**
	 * Generuje formularz do zapisywania wszystkich tabel do plikow
	 *
	 * @param unknown_type $formAction
	 */
	function saveAllTablesToFileForm($formAction){
		$this->html = "<form action=\"$formAction\" method=\"post\">\n";
		$this->html .= "<input type=\"hidden\" name=\"save_all_tables\" value=\"1\" />\n";
		$this->html .= "<table class=\"tab_save_all_tables\">\n";
		$this->html .= "<tr><td>Zapisz tabele wszystkich lig</td>\n<td><input type=\"submit\" value=\"Zapisz\" /></td></tr>\n";
		$this->html .= "</table>\n";
		$this->html .= "</form>\n";		
		$this->display();
	}
}
/* --- GenerateHTML Class - koniec --- */
?>