<?php
/*
 * Tabelkownik
 * klasa MysqlDB
 *
 * @date 29.08.2008
 * @version 1.5
 * @author Radosaw Zatoka (wild_king@o2.pl)
 */
class MysqlDB
{
	private $host;
	private $username;
	private $password;
	private $dbname;
	private $prefix;
	private $link;
	
	function __construct($h, $u, $p, $db, $prefix) 
	{
		$this->host = $h;
		$this->username = $u;
		$this->password = $p;
		$this->dbname = $db;
		$this->prefix = $prefix;
		$this->connect();
	}
	
	function connect()
	{
	  	if(!($l = mysqli_connect($this->host, $this->username, $this->password, $this->dbname)))
	  		exit("Bd poczenia: ".mysqli_connect_error());
		$this->link = $l;
		mysqli_query($l,"SET NAMES latin2");
	}
	//wykonuje zapytanie $q na bazie danych
	function executeQuery($q)
	{
		if(!(mysqli_query($this->link, $q)))
			exit("Bd ".mysqli_errno($this->link).": ".mysqli_error($this->link));
	}
	function getAutoincID()
	{
		return mysqli_insert_id($this->link);
	}
	//pobiera dane z bazy danych do tablicy
	function getDataToArray($q)
	{
		if(!($r = mysqli_query($this->link, $q)))
			exit("Bd ".mysqli_errno($this->link).": ".mysqli_error($this->link));
		while($row = mysqli_fetch_assoc($r))
		{
			//array_walk($row, array('MysqlDB','stripslashesArrayElem'));
			$row = array_map('stripslashes', $row);
			$result[] = $row;
		}
		mysqli_free_result($r);		
		return $result;
	}
	//zwraca dane z dwch pl z bazy danych w postaci tablicy asocjacyjnej
	function dataToAssocArray($q,$klucz1,$klucz2)
	{
		if(!($r = mysqli_query($this->link, $q)))
			exit("Bd ".mysqli_errno($this->link).": ".mysqli_error($this->link));
		while($row = mysqli_fetch_assoc($r))
		{
			$row = array_map('stripslashes', $row);
			$result[$row[$klucz1]] = $row[$klucz2]; 		
		}
		mysqli_free_result($r);	
		return $result;		
	}
	//zwraca dane z jednego pola do tablicy
	function columnToArray($q)
	{
		if(!($r = mysqli_query($this->link, $q))){
			exit("Bd ".mysqli_errno($this->link).": ".mysqli_error($this->link));
		}
		while($row = mysqli_fetch_assoc($r)){
			$row = array_map('stripslashes', $row);
			foreach($row as $v){
				if($v != null){
					$result[] = $v;
				}	
			}	
		}
		mysqli_free_result($r);	
		return $result;		
	}
	//zwraca jedn warto
	function getValue($q)
	{
		if(!($r = mysqli_query($this->link, $q)))
			exit("Bd ".mysqli_errno($this->link).": ".mysqli_error($this->link));
		$row = mysqli_fetch_array($r,MYSQLI_NUM);		
		mysqli_free_result($r);	
		return stripslashes($row[0]);		
	}	
	//
	function close()
	{
		mysqli_close($this->link);
	}
	//
	function getPrefix(){
		return $this->prefix;
	}
	//
	function escape($string){
		return "'".mysqli_real_escape_string($this->link, $string)."'";
	}
	function encode($string){
		return htmlspecialchars($string, ENT_QUOTES);
	}
	/*
	static function stripslashesArrayElem(&$elem){
		$elem = stripslashes($elem);
	}*/
}
/* --- MysqlDB Class - koniec --- */
?>
