<?php
/*
 * Tabelkownik
 * klasa Tabelkownik
 *
 * @date 29.08.2008
 * @version 1.5
 * @author Radosaw Zatoka (wild_king@o2.pl)
 */
require substr(dirname(__FILE__),0,strlen(dirname(__FILE__))-5).'/conf/config.php';
require dirname(__FILE__).'/class.mysqldb.php';
require dirname(__FILE__).'/class.generatehtml.php';
require dirname(__FILE__).'/functions.other.php';
class Tabelkownik
{
	public $db;
	public $html;
	public $tbkPath;
	public $imgPath;
	/*
	 * Konstruktor
	 */
	function __construct($tbkPath = 'tabelkownik'){
		$db = new MysqlDB(TBK_HOST,TBK_DBUSER,TBK_DBPASS,TBK_DBNAME,TBK_PREFIX);
		$html = new GenerateHTML($db);		
		$this->db = $db;
		$this->html = $html;
		$this->tbkPath = $tbkPath;
		$this->imgPath = $tbkPath;
	}
	/* wywietla tabel
	 @param1 - wskazuje lige
	 @param2 int: 1 - zwyka tabela, 2 - pena tabela, 3 - maa tabela ze skrtami
	 @param3 - int: do ktrej kolejki, false: dla wszystkich dostpnych kolejek
	 */
	function displayTable($id_liga, $typ, $kolejka = false, $mecze_bezp = true){
		$favTeamName = $this->getFavTeamName($id_liga);
		switch($typ){
			case 1:
				$table = $this->makeLeagueTable($id_liga,$kolejka,$mecze_bezp);
				echo "<table id=\"tab_medium\" class=\"l{$id_liga}_tab_medium\">\n";
				echo "<tr class=\"row_hd\">";
				echo "<td class=\"col_1\">&nbsp;</td>\n";
				echo "<td class=\"col_2\">Druyna</td>\n";
				echo "<td class=\"col_3\">Mecze</td>\n";
				echo "<td class=\"col_4\">Punkty</td>\n";
				echo "<td class=\"col_5\">Z-R-P</td>\n";
				echo "<td class=\"col_6\">Bramki</td>\n";
				echo "<td class=\"col_7\">Bilans</td>\n";
				echo "</tr>\n";
				for($i = 0; $i < count($table); $i++) {
					$rank = $this->teamRank($table,$i);
					$bilans = $table[$i]['RB'] > 0 ? "+".$table[$i]['RB'] : $table[$i]['RB'];
					if($favTeamName == $table[$i]['Klub']){
						echo "<tr class=\"row_fav_team\">\n";						
					} else {
						$r = $i + 1;
						echo "<tr class=\"row_{$r}\">\n";
					}
					if(!empty($rank)) {$rank .= '.';}
					echo "<td class=\"col_1\">{$rank}</td>\n";
					echo "<td class=\"col_2\">{$table[$i]['Klub']}</td>\n";
					echo "<td class=\"col_3\">{$table[$i]['M']}</td>\n";
					echo "<td class=\"col_4\">{$table[$i]['Punkty']}</td>\n";
					echo "<td class=\"col_5\">{$table[$i]['Z']}-{$table[$i]['R']}-{$table[$i]['P']}</td>\n";
					echo "<td class=\"col_6\">{$table[$i]['BZ']}:{$table[$i]['BS']}</td>\n";
					echo "<td class=\"col_7\">{$bilans}</td>\n</tr>\n";
				}
				echo "<tr class=\"row_ft\">\n";
				echo "<td colspan=\"7\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td>\n</tr>\n</table>\n";
				break;
			case 2:
				if(!$kolejka){
					$q = "SELECT max(nr_kolejki) AS k
					FROM {$this->db->getPrefix()}mecz
					WHERE id_liga={$id_liga}
					AND bramki_gosp IS NOT NULL
					AND bramki_gosc IS NOT NULL
					GROUP BY id_liga";
					$kolejka = $this->db->getValue($q);
				}
				$table = $this->makeLeagueTable($id_liga,$kolejka,$mecze_bezp);
				if($kolejka > 1){
					$table_prev = $this->makeLeagueTable($id_liga,$kolejka-1,$mecze_bezp);
				}				
				echo "<table id=\"tab_big\" class=\"l{$id_liga}_tab_big\">\n";
				echo "<tr class=\"row_hd0\">\n";
				echo "<td colspan=\"5\">&nbsp;</td>\n";
				echo "<td colspan=\"5\">Ogem</td>\n";
				echo "<td colspan=\"5\">U siebie</td>\n";
				echo "<td colspan=\"5\">Wyjazdy</td>\n";
				echo "<td colspan=\"3\">Bezporednie</td>\n</tr>\n";

				echo "<tr class=\"row_hd1\">\n";
				echo "<td class=\"col_1\">&nbsp;</td>\n";
				echo "<td class=\"col_2\">&nbsp;</td>\n";
				echo "<td class=\"col_3\">&nbsp;</td>\n";
				echo "<td class=\"col_4\">&nbsp;</td>\n";
				echo "<td class=\"col_5\">Druyna</td>\n";
				echo "<td class=\"col_6\">M</td>\n";
				echo "<td class=\"col_7\">Pkt</td>\n";
				echo "<td class=\"col_8\">Z-R-P</td>\n";
				echo "<td class=\"col_9\">Br</td>\n";
				echo "<td class=\"col_10\">RB</td>\n";
				echo "<td class=\"col_11\">M</td>\n";
				echo "<td class=\"col_12\">Pkt</td>\n";
				echo "<td class=\"col_13\">Z-R-P</td>\n";
				echo "<td class=\"col_14\">Br</td>\n";
				echo "<td class=\"col_15\">RB</td>\n";
				echo "<td class=\"col_16\">M</td>\n";
				echo "<td class=\"col_17\">Pkt</td>\n";
				echo "<td class=\"col_18\">Z-R-P</td>\n";
				echo "<td class=\"col_19\">Br</td>\n";
				echo "<td class=\"col_20\">RB</td>\n";
				echo "<td class=\"col_21\">M</td>\n";
				echo "<td class=\"col_22\">Ptk</td>\n";
				echo "<td class=\"col_23\">Br</td>\n</tr>\n";

				for($i = 0; $i < count($table); $i++) {
					$rank = $this->teamRank($table,$i);
					if($kolejka > 1) {
						$rank_prev = 1;
						for($j = 0; $j < count($table_prev); $j++) {
							if($table[$i]['Klub'] == $table_prev[$j]['Klub']) {break;}
							$rank_prev++;
						}
						if($rank !== null){
							$zmiana = $rank_prev - $rank;
						} else {
							$zmiana = 0;
						}

						if($zmiana > 0){
							$zmiana = "(+".$zmiana.")";
							$zmiana_sign = "<img src=\"{$this->imgPath}/images/up.gif\" alt=\"up\" />";
						}
						elseif($zmiana == 0){
							$zmiana = "&nbsp;";
							$zmiana_sign = "<img src=\"{$this->imgPath}/images/stay.gif\" alt=\"stay\" />";
						}
						else{
							$zmiana = "(".$zmiana.")";
							$zmiana_sign = "<img src=\"{$this->imgPath}/images/down.gif\" alt=\"down\" />";
						}
					}
					$bilans = $table[$i]['RB'] > 0 ? "+".$table[$i]['RB'] : $table[$i]['RB'];
					$bild = $table[$i]['RBD'] > 0 ? "+".$table[$i]['RBD'] : $table[$i]['RBD'];
					$bilw = $table[$i]['RBW'] > 0 ? "+".$table[$i]['RBW'] : $table[$i]['RBW'];
					$bb = !is_null($table[$i]['BZB']) ? $table[$i]['BZB'].":".$table[$i]['BSB'] : null;
					//nie ustawiono ulubionej druzyny
					if($favTeamName != $table[$i]['Klub']){
						if(isset($rank)) {
							echo "<tr class=\"row_{$rank}\">\n";
							$rank .= ".";
						}
						else { //druzyny zajmuja to samo miesce, $ran jest pusty, ale ciagle numerujemy wiersz, stad uzycie $r
							$r = $i + 1;
							echo "<tr class=\"row_{$r}\">\n";
						}
					}
					//ustawiono ulubiona druzyne
					else {
						echo "<tr class=\"row_fav_team\">\n";
						if(isset($rank)){
							$rank .= ".";
						}
					}					
					echo "<td class=\"col_1\">{$rank}</td>\n";
					echo "<td class=\"col_2\">{$zmiana_sign}</td>\n";
					echo "<td class=\"col_3\">{$zmiana}</td>\n";
					echo "<td class=\"col_4\"><img src=\"{$this->imgPath}/images/emblems/{$table[$i]['small_emb']}\" alt=\"{$table[$i]['small_emb']}\" /></td>\n";
					echo "<td class=\"col_5\">{$table[$i]['Klub']}</td>\n";
					echo "<td class=\"col_6\">{$table[$i]['M']}</td>\n";
					echo "<td class=\"col_7\">{$table[$i]['Punkty']}</td>\n";
					echo "<td class=\"col_8\">{$table[$i]['Z']}-{$table[$i]['R']}-{$table[$i]['P']}</td>\n";
					echo "<td class=\"col_9\">{$table[$i]['BZ']}:{$table[$i]['BS']}</td>\n";
					echo "<td class=\"col_10\">{$bilans}</td>\n";
					echo "<td class=\"col_11\">{$table[$i]['MD']}</td>\n";
					echo "<td class=\"col_12\">{$table[$i]['PktD']}</td>\n";
					echo "<td class=\"col_13\">{$table[$i]['ZD']}-{$table[$i]['RD']}-{$table[$i]['PD']}</td>\n";
					echo "<td class=\"col_14\">{$table[$i]['BZD']}:{$table[$i]['BSD']}</td>\n";
					echo "<td class=\"col_15\">{$bild}</td>\n";
					echo "<td class=\"col_16\">{$table[$i]['MW']}</td>\n";
					echo "<td class=\"col_17\">{$table[$i]['PktW']}</td>\n";
					echo "<td class=\"col_18\">{$table[$i]['ZW']}-{$table[$i]['RW']}-{$table[$i]['PW']}</td>\n";
					echo "<td class=\"col_19\">{$table[$i]['BZW']}:{$table[$i]['BSW']}</td>\n";
					echo "<td class=\"col_20\">{$bilw}</td>\n";
					echo "<td class=\"col_21\">{$table[$i]['MB']}</td>\n";
					echo "<td class=\"col_22\">{$table[$i]['PktB']}</td>\n";
					echo "<td class=\"col_23\">{$bb}</td>\n</tr>\n";
				}
				echo "<tr class=\"row_ft\">\n";
				echo "<td colspan=\"23\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td>\n</tr>\n</table>\n";
				break;
			case 3:
				$table = $this->makeLeagueTable($id_liga,$kolejka,$mecze_bezp);
				echo "<table id=\"tab_small\" class=\"l{$id_liga}_tab_small\">\n";
				echo "<tr class=\"row_hd\">";
				echo "<td class=\"col_1\">&nbsp;</td>\n";
				echo "<td class=\"col_2\">Druyna</td>\n";
				echo "<td class=\"col_3\">M</td>\n";
				echo "<td class=\"col_4\">Ptk</td>\n</tr>\n";
				for($i = 0; $i < count($table); $i++) {
					$rank = $this->teamRank($table,$i);
					$nazwa = empty($table[$i]['skrot']) ? $table[$i]['Klub'] : $table[$i]['skrot'];
					$bilans = $table[$i]['RB'] > 0 ? "+".$table[$i]['RB'] : $table[$i]['RB'];
					if($favTeamName == $table[$i]['Klub']){
						echo "<tr class=\"row_fav_team\">\n";						
					} else {
						$r = $i+1;
						echo "<tr class=\"row_{$r}\">\n";
					}					
					if(!empty($rank)) {$rank .= '.';}
					echo "<td class=\"col_1\">{$rank}</td>\n";
					echo "<td class=\"col_2\">{$nazwa}</td>\n";
					echo "<td class=\"col_3\">{$table[$i]['M']}</td>\n";
					echo "<td class=\"col_4\">{$table[$i]['Punkty']}</td>\n</tr>\n";
				}
				echo "<tr class=\"row_ft\"><td colspan=\"4\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td></tr>\n";
				echo "</table>\n";
				break;
		}
	}
	/*
	 * Zapisuje tabele do pliku
	 */
	function saveToFile($filename, $functionName, $parameters = array()){
		ob_start();
		call_user_func_array(array($this, $functionName), $parameters);
		$out = ob_get_contents();
		ob_end_clean();
		$file = $this->tbkPath.'/tables/'.escape_filename($filename).'.inc.php';
		file_put_contents($file, $out, LOCK_EX);
	}
	/* tworzy tabele: @param1 - wskazuje lig,
	 @param2 - int: do ktrej kolejki, false: dla wszystkich kolejek
	 @param3: true - sortuje wg meczy bezporednich, false - wg bramek
	 */
	function makeLeagueTable($id_league, $kolejka = false, $mecze_bezposrednie = true)
	{
		$q = $this->fileToString($this->tbkPath.'/func/build_table.sql');
		if($kolejka){
			$search = array('{liga_index}','{kolejka}','{prefix}');
			$replace = array($id_league,$kolejka,$this->db->getPrefix());
			$q = str_replace($search,$replace,$q);
		} else {
			$search = array('{liga_index}','{prefix}');
			$replace = array($id_league,$this->db->getPrefix());
			$q = str_replace($search,$replace,$q);
			$q = str_replace("AND m.nr_kolejki <= {kolejka}","",$q);
		}
		$tabela = $this->db->getDataToArray($q);
		if(empty($tabela)){
			exit("<p class\"bledy\">Nie udao si wygenerowa tabeli. Sprawd czy dodano mecze do ligi.</p>\n");
		}
		if($mecze_bezposrednie)
		{
			foreach($tabela as $key => $value)
			{
				//przygotowanie id i nazw druyn do pniejszych zamian
				$ids_dru[$key] = (int) $value['ID'];
				$nazwy_dru[$key] = $value['Klub'];
				//szukamy powtarzajcych si punktw
				$punkty[$key] = (int) $value['Punkty'];
			}

			$punkty = $this->array_duplicates($punkty);
			//jeeli s powtarzajce si punkty
			if(!empty($punkty))
			{
				for($p = 0; $p < count($punkty); $p++)
				{
					//if($punkty[$p] == 0) continue;
					for($t = 0; $t < count($tabela); $t++)
					{
						//wyszukujemy druyny majce dan ilo punktw
						if($punkty[$p] == $tabela[$t]['Punkty']){
							$dru_list[] = $tabela[$t]['Klub'];
						}
					}
					$dru_num = count($dru_list);
					$dru_id_list = implode(",",$dru_list);
					//zamieniamy druyny na ich id
					$dru_id_list = str_replace($nazwy_dru,$ids_dru,$dru_id_list);
					//tworzymy tabele meczw bezporednich
					$q = "SELECT d.nazwa_druzyna as Klub,
		         		SUM(IF((d.id_druzyna = m.gosp AND m.bramki_gosp IS NOT NULL) OR
	                		   (d.id_druzyna = m.gosc AND m.bramki_gosc IS NOT NULL),1,0)) AS MB,
						
						SUM(
						IF(m.bramki_gosp = m.bramki_gosc, 1, 0) +
						IF((d.id_druzyna = m.gosp AND 
						m.bramki_gosp > m.bramki_gosc) OR
		                (d.id_druzyna = m.gosc AND 
						m.bramki_gosp < m.bramki_gosc), 1, 0)*3
						) AS PktB,
		
		         		IFNULL(
		         		SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosp,m.bramki_gosc)),0
		         		) AS BZB,
		         		
		         		IFNULL(
		         		SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosc,m.bramki_gosp)),0
						) AS BSB,
						
						IFNULL(
		         		SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosp,m.bramki_gosc)) -
		                SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosc,m.bramki_gosp)),0
		                ) AS RBB";
					if($dru_num == 2){
						$q .= "
							, IFNULL(
		         	    SUM(IF(d.id_druzyna = m.gosc,m.bramki_gosc,0)),0
		         	    ) AS BWB";
					}
					$q .= "
					FROM {$this->db->getPrefix()}druzyna d, {$this->db->getPrefix()}mecz m
					WHERE m.gosp in ({$dru_id_list}) AND m.gosc in ({$dru_id_list})
					AND (d.id_druzyna = m.gosp OR d.id_druzyna = m.gosc)
					AND m.nr_kolejki <= {kolejka}
					GROUP BY d.nazwa_druzyna";
					//jesli 2 druzyny maja te sama liczbe punktow sortujemy po punktach w meczach bezposrednich, roznicy bramek, bramkach wyjazdowych
					if($dru_num == 2){
						$q .= ' ORDER BY PktB DESC, RBB DESC, BWB DESC';
					//jesli > 2 sortojumy po punktach w meczach bezposrednich, roznicy bramek, bramkach zdobytych
					} else {
						$q .= ' ORDER BY PktB DESC, RBB DESC, BZB DESC';
					}
					//wstawienie kolejki do kweredny tabeli meczy bezposrednich
					if($kolejka){
						$q = str_replace('{kolejka}',$kolejka,$q);
					} else {
						$q = str_replace("AND m.nr_kolejki <= {kolejka}",'',$q);
					}
					$tab_bez = $this->db->getDataToArray($q);
					//jezeli nie wszystkie druzyny sa w tabeli bezposredniej (dot. druzyn ktore nie rozegraly meczy przy wiecej niz 2 druzynach z ta sama iloscia punktow)
					if($dru_num > 2 && count($dru_list)!=count($tab_bez)){
						//uzupelniamy recznie
						for($k=0; $k<count($dru_list); $k++){
							if(!$this->in_2dim_array($dru_list[$k],$tab_bez,'Klub')){
								$index = count($tab_bez);
								$tab_bez[$index]['Klub']=$dru_list[$k];
								$tab_bez[$index]['MB']=0;
								$tab_bez[$index]['PktB']=0;
								$tab_bez[$index]['BZB']=0;
								$tab_bez[$index]['BSB']=0;
								$tab_bez[$index]['RBB']=0;
							}
						}
					}
					//czymy tabele
					if($tab_bez[0]['MB']){
						$this->joinTables($tabela,$tab_bez);
					}
					//czycimy list druyn o takiej samej liczbie punktw
					unset($dru_list);
				}
			}
		}
		return $tabela;
	}
	/*
	 *
	 */
	//zwraca zawarto pliku tekstowego
	function fileToString($fileName)
	{
		$f = fopen($fileName, "rb");
		$str = fread($f, filesize($fileName));
		fclose($f);
		return $str;
	}
	/*
	 *
	 */
	//zwraca wartoci, ktre wystepuj w tablicy @param dwa lub wicej razy
	function array_duplicates($array)
	{
		if(!is_array($array)) {return false;}
		$duplicates = array();
		$uniques = array_unique($array);
		if(count($array)-count($uniques)==0) {
			return false;
		}
		for($i = 0; $i < count($array); $i++) {
			if(!array_key_exists($i, $uniques)) {$duplicates[] = $array[$i];}
		}
		//w tablicy $duplicates mamy liczb wystpie elementw pomniejszona o 1
		//wybieramy wic po jednym z nich (array_unique), zachowujc kolejno kluczy
		return array_values(array_unique($duplicates));
	}
	/*
	 * czy wartosc znajduje sie w tablicy 2wymiarowej pod podanym indeksem
	 */
	function in_2dim_array($value, $array, $compare_key)
	{
		$length = count($array);
		for($i=0; $i<$length; $i++){
			if($value==$array[$i][$compare_key]){
				return true;
			}
		}
		return false;
	}
	/*
	 *
	 */
	//docza tabele meczy bezporednich do gwnej tabeli
	function joinTables(&$tab,$tab_bez)
	{
		for($i = 0; $i < count($tab_bez); $i++)
		{
			for($j = 0; $j < count($tab); $j++)
			{
				if($tab_bez[$i]['Klub']==$tab[$j]['Klub'])
				{
					//dopisujemy nowe pola z meczami bezporednimi do tabeli
					foreach($tab_bez[$i] as $key => $value)
					{
						if($key=='Klub') {continue;}
						$tab[$j][$key] = $value;
					}
					//zaznaczamy, ktry element jest uzupeniany
					$ptr[] = $j;
					break;
				}
			}
		}
		$offset = min($ptr);
		//pobieramy fragment tabeli do sortowania
		$fragment = array_slice($tab,$offset,count($tab_bez),true);
		//pobranie listy kolumn do sortowania
		foreach ($fragment as $key => $value)
		{
			$punkty[$key] = $value['Punkty'];
			$pktb[$key] = $value['PktB'];
			$rbb[$key] = $value['RBB'];
			$bzb[$key] = $value['BZB'];
			if(count($tab_bez)==2) {
				$bwb[$key] = $value['BWB'];
			}
			$rb[$key] = $value['RB'];
			$bz[$key] = $value['BZ'];
		}
		//sortowanie
		if(count($tab_bez)==2) {
			array_multisort($punkty, SORT_DESC, $pktb, SORT_DESC, $rbb, SORT_DESC, $bwb, SORT_DESC, $rb, SORT_DESC, $bz, SORT_DESC, $fragment);
		} else {
			array_multisort($punkty, SORT_DESC, $pktb, SORT_DESC, $rbb, SORT_DESC, $bzb, SORT_DESC, $rb, SORT_DESC, $bz, SORT_DESC, $fragment);
		}
		//zamiana fragmentu na posortowany
		array_splice($tab,$offset,count($tab_bez),$fragment);
	}
	/*
	 *
	 */
	//dla poprawnego wywietlania miejsc rwnych zespow
	function teamRank($table,$team)
	{
		if($team == 0) {return $team+1;}
		$pteam = $team - 1;
		if(
		$table[$team]['Punkty'] == $table[$pteam]['Punkty'] &&
		$table[$team]['PktB'] == $table[$pteam]['PktB'] &&
		$table[$team]['RBB'] == $table[$pteam]['RBB'] &&
		$table[$team]['BWB'] == $table[$pteam]['BWB'] &&
		$table[$team]['RB'] == $table[$pteam]['RB'] &&
		$table[$team]['BZ'] == $table[$pteam]['BZ']
		){
			return null;
		}
		return $team+1;
	}
	/*
	 *
	 */
	//wywietla mecze
	function displayFixture($id_liga, $kol, $emblemy = true)
	{
		if($kol){
			$q = "SELECT d1.nazwa_druzyna as gosp, d2.nazwa_druzyna as gosc,
			m.bramki_gosp as br_gosp, m.bramki_gosc as br_gosc,
			d1.big_emblem as emb_gosp, d2. big_emblem as emb_gosc,
			DATE_FORMAT(m.data,'%e %M, %H:%i') as data,
			m.komentarz as komentarz
			FROM {$this->db->getPrefix()}druzyna d1, {$this->db->getPrefix()}druzyna d2, {$this->db->getPrefix()}mecz m
			WHERE d1.id_druzyna=m.gosp AND d2.id_druzyna=m.gosc
			AND m.nr_kolejki={$kol} AND m.id_liga={$id_liga}
			ORDER BY m.data, m.id_mecz";
			$mecze = $this->db->getDataToArray($q);
			echo "<table id=\"fixture\" class=\"l{$id_liga}_fixture\">\n";
			echo "<tr class=\"row_hd\"><td colspan=\"5\">{$kol} kolejka</td></tr>\n";
			for($i = 0; $i < count($mecze); $i++)
			{
				if(!empty($mecze[$i]['data'])) {
					$mecze[$i]['data'] = translateDate($mecze[$i]['data'],"long");
					if($pos = strpos($mecze[$i]['data'],"00:00") !== false){
						$mecze[$i]['data'] = str_replace(", 00:00","",$mecze[$i]['data']);
					}
					echo "<tr class=\"row_data\">\n<td colspan=\"5\">{$mecze[$i]['data']}</td></tr>\n";
				}
				if(!is_numeric($mecze[$i]['br_gosp'])) {$mecze[$i]['br_gosp']="-";}
				if(!is_numeric($mecze[$i]['br_gosc'])) {$mecze[$i]['br_gosc']="-";}
				if($emblemy && isset($mecze[$i]['emb_gosp']) && isset($mecze[$i]['emb_gosc']))
				{
					echo "<tr class=\"row_1\">\n<td><img src=\"{$this->imgPath}/images/emblems/{$mecze[$i]['emb_gosp']}\" alt=\"{$mecze[$i]['gosp']}\" /></td>\n";
					echo "<td>&nbsp;</td>\n";
					echo "<td>&nbsp;</td>\n";
					echo "<td>&nbsp;</td>\n";
					echo "<td><img src=\"{$this->imgPath}/images/emblems/{$mecze[$i]['emb_gosc']}\" alt=\"{$mecze[$i]['gosc']}\" /></td>\n</tr>\n";
				}
				echo "<tr class=\"row_2\">\n";
				echo "<td class=\"col_1\">{$mecze[$i]['gosp']}</td>\n";
				echo "<td class=\"col_2\">{$mecze[$i]['br_gosp']}</td>\n";
				echo "<td class=\"col_3\">:</td>\n";
				echo "<td class=\"col_4\">{$mecze[$i]['br_gosc']}</td>\n";
				echo "<td class=\"col_5\">{$mecze[$i]['gosc']}</td>\n</tr>\n";
				if(!empty($mecze[$i]['komentarz'])){
					echo "<tr class=\"row_comment\">\n<td colspan=\"5\">{$mecze[$i]['komentarz']}</td></tr>\n";					
				}
			}
			echo "<tr class=\"row_ft\"><td colspan=\"5\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td></tr>\n";
			echo "</table>\n";
		}
	}
	/*
	 *
	 */
	function displayFixturesByDate($id_liga, $kol, $emb = true){
		if($kol){
			$q = "SELECT DISTINCT DATE_FORMAT(data,'%d-%m-%Y') FROM {$this->db->getPrefix()}mecz
			WHERE id_liga={$id_liga} AND nr_kolejki={$kol}
			ORDER BY data";
			$aDates = $this->db->ColumnToArray($q);
			if(!empty($aDates)){
				echo "<table id=\"fixture_by_date\" class=\"l{$id_liga}_fixture_by_date\">\n";
				foreach($aDates as $date){
					$q = "SELECT d1.nazwa_druzyna as gosp, d2.nazwa_druzyna as gosc,
					m.bramki_gosp as br_gosp, m.bramki_gosc as br_gosc,
					d1.small_emblem as emb_gosp, d2. small_emblem as emb_gosc,
					DATE_FORMAT(m.data,'%H:%i') as godz,
					m.komentarz as komentarz
					FROM {$this->db->getPrefix()}druzyna d1, {$this->db->getPrefix()}druzyna d2, {$this->db->getPrefix()}mecz m
					WHERE d1.id_druzyna=m.gosp AND d2.id_druzyna=m.gosc
					AND DATE_FORMAT(m.data,'%d-%m-%Y')='{$date}' AND m.id_liga={$id_liga}
					ORDER BY godz, m.id_mecz";
					$aMecze = $this->db->getDataToArray($q);
					if(!empty($aMecze)){
						echo "<tr class=\"row_hd\"><td colspan=\"8\">{$date}</td></tr>\n";
						for($i = 0; $i < count($aMecze); $i++){
							if(!is_numeric($aMecze[$i]['br_gosp'])) {$aMecze[$i]['br_gosp']="?";}
							if(!is_numeric($aMecze[$i]['br_gosc'])) {$aMecze[$i]['br_gosc']="?";}
							if($pos = strpos($aMecze[$i]['godz'],"00:00") !== false){
								$aMecze[$i]['godz'] = str_replace("00:00","&nbsp;",$aMecze[$i]['godz']);
							}
							echo "<tr><td class=\"col_1\">{$aMecze[$i]['godz']}</td>";
							if($emb) {
								echo "<td><img src=\"{$this->imgPath}/images/emblems/{$aMecze[$i]['emb_gosp']}\" alt=\"{$aMecze[$i]['gosp']}\" /></td>";
							}
							echo "<td class=\"col_1\">{$aMecze[$i]['gosp']}</td><td class=\"bold\">{$aMecze[$i]['br_gosp']}</td><td> : </td><td class=\"bold\">{$aMecze[$i]['br_gosc']}</td><td class=\"col_7\">{$aMecze[$i]['gosc']}</td>";
							if($emb) {
								echo "<td><img src=\"{$this->imgPath}/images/emblems/{$aMecze[$i]['emb_gosc']}\" alt=\"{$aMecze[$i]['gosc']}\" /></td>";
							}
							echo "</tr>\n";
							if(!empty($aMecze[$i]['komentarz'])){
								echo "<tr class=\"row_comment\"><td colspan=\"8\">{$aMecze[$i]['komentarz']}</td></tr>\n";
							}
						}
					}
				}
				echo "<tr class=\"row_ft\"><td colspan=\"8\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td></tr>\n";
				echo "</table>\n";
			}
		}
	}
	/*
	 * Wyswietlacaly terminarz
	 */
	function displayFixtures($id_liga, $emblemy = true, $sort = 1){
		$q = "SELECT max(nr_kolejki) FROM {$this->db->getPrefix()}mecz WHERE id_liga={$id_liga}";
		$ost_kol = $this->db->getValue($q);
		if($sort > 0){ //od pierwszej do ostatniej kolejki
			for($i = 1; $i <= $ost_kol; $i++){
				$this->displayFixture($id_liga,$i,$emblemy);
			}
		} else { //jesli $sort ujemne, od ostatniej do pierwszej
			for($i = $ost_kol; $i >= 1; $i--){
				$this->displayFixture($id_liga,$i,$emblemy);
			}			
		}
	}
	/**
	 * 
	 */
	function displayAllFixtures($id_league, $showEmblems = true)
	{
		//aktualna kolejka
		$q = "SELECT akt_kolejka FROM {$this->db->getPrefix()}liga liga WHERE id_liga=$id_league";
		$akt_kol = $this->db->getValue($q);
		//wyswietlany na poczatku slajd
		$showSlide = (int) $akt_kol - 1;
		$q = "SELECT DISTINCT nr_kolejki FROM {$this->db->getPrefix()}mecz WHERE id_liga={$id_league}";
		$fixtures = $this->db->columnToArray($q);
		if($fixtures != null){
			//poczatek komponentu
			echo "<div id=\"showFixtures\">\n";
			//warstwa formularza
			echo "<div id=\"fixtNumFormContainer\">\n";
			echo "<form>\n";
			echo "<table>\n";
			echo "<tr>\n";
			echo "<td>Wybierz kolejk do wywietlenia:</td>\n";
			echo "<td>\n<select name=\"fixtNum\" id=\"fixtNum\" onchange=\"show(this.options[this.selectedIndex].value)\">\n";
			$fixture_num = count($fixtures);
			for($i=0; $i<$fixture_num; $i++){
				echo "<option value=\"{$i}\">{$fixtures[$i]}</option>\n";
			}
			echo "</select>\n</td>\n";
			echo "<td><a href=\"javascript:prev()\">Poprzednia</a></td><td>||</td><td><a href=\"javascript:next()\">Nastpna</a></td>\n";
			echo "</tr>\n";
			echo "</table>\n";
			echo "</form>\n";
			echo "</div>\n"; 			
			//kontener kolejek
			echo "<div id=\"fixturesContainer\">\n";
			foreach($fixtures as $fixture_num){
				$div_id_num = $fixture_num-1; 
				//kolejka
				echo "<div id=\"fixture{$div_id_num}\" class=\"fixture\">\n";
				echo "<table>\n";
				echo "<tr class=\"row_hd\"><td colspan=\"7\">{$fixture_num} kolejka</td><td>&nbsp</td></tr>\n";				
				$q = "SELECT d1.nazwa_druzyna as gosp, d2.nazwa_druzyna as gosc,
					m.bramki_gosp as br_gosp, m.bramki_gosc as br_gosc,
					d1.small_emblem as emb_gosp, d2.small_emblem as emb_gosc,
					DATE_FORMAT(m.data,'%e %M, %H:%i') as data
					FROM {$this->db->getPrefix()}druzyna d1, {$this->db->getPrefix()}druzyna d2, {$this->db->getPrefix()}mecz m
					WHERE d1.id_druzyna=m.gosp AND d2.id_druzyna=m.gosc
					AND m.id_liga={$id_league} AND m.nr_kolejki={$fixture_num}
					ORDER BY m.data, m.id_mecz";
				$matches = $this->db->getDataToArray($q);
				if($matches != null){
					$matches_num = count($matches);
					for($i=0; $i<$matches_num; $i++){
						$row_num = $i + 1;
						if(!empty($matches[$i]['data'])) {
							$matches[$i]['data'] = translateDate($matches[$i]['data'],"short");
							if($pos = strpos($matches[$i]['data'],"00:00") !== false){
								$matches[$i]['data'] = str_replace(", 00:00","",$matches[$i]['data']);
							}
						} else {
							$matches[$i]['data'] = '&nbsp';
						}
						if(!ctype_digit($matches[$i]['br_gosp'])) {$matches[$i]['br_gosp']="-";}
						if(!ctype_digit($matches[$i]['br_gosc'])) {$matches[$i]['br_gosc']="-";}
						if(!$showEmblems){
							$matches[$i]['emb_gosp'] = ''; 
							$matches[$i]['emb_gosc'] = '';
						} else if(isset($matches[$i]['emb_gosp']) && isset($matches[$i]['emb_gosc'])){
							$matches[$i]['emb_gosp'] = "<img src=\"{$this->imgPath}/images/emblems/{$matches[$i]['emb_gosp']}\" alt=\"{$matches[$i]['gosp']}\" />";
							$matches[$i]['emb_gosc'] = "<img src=\"{$this->imgPath}/images/emblems/{$matches[$i]['emb_gosc']}\" alt=\"{$matches[$i]['gosc']}\" />";
						}
						//mecze kolejki
						echo "<tr class=\"row_{$row_num}\">\n";
						echo "<td class=\"col_1\">{$matches[$i]['emb_gosp']}</td>\n";
						echo "<td class=\"col_2\" width=\"25%\">{$matches[$i]['gosp']}</td>\n";
						echo "<td class=\"col_3\" width=\"10px\">{$matches[$i]['br_gosp']}</td>\n";
						echo "<td class=\"col_4\" width=\"10px\">:</td>\n";
						echo "<td class=\"col_5\" width=\"10px\">{$matches[$i]['br_gosc']}</td>\n";
						echo "<td class=\"col_6\" width=\"25%\">{$matches[$i]['gosc']}</td>\n";
						echo "<td class=\"col_7\">{$matches[$i]['emb_gosc']}</td>\n";	
						echo "<td class=\"col_8\" width=\"45px\">{$matches[$i]['data']}</td>\n</tr>\n";															
					}
				}
				echo "<tr class=\"row_ft\">\n<td colspan=\"8\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td>\n</tr>\n";
				echo "</table>\n";	
				echo "</div>\n"; // kolejka koniec	
			}
			echo "</div>\n"; //kontener kolejek koniec
			echo "</div>\n"; //koniec komponentu
			echo "<script type=\"text/javascript\">initSlides($showSlide, 'fixturesContainer', 'fixture', 'fixtNum')</script>\n";
		}	
	}
	/*
	 *
	 */
	//wywietla tabel krzyow
	function displayCrossTable($id_liga, $skroty = false)
	{
		$table = $this->makeLeagueTable($id_liga);
		$favTeamName = $this->getFavTeamName($id_liga);		
		echo "<table id=\"crosstable\" class=\"l{$id_liga}_crosstable\">";
		echo "<tr class=\"row_hd\">\n";
		echo "<td>&nbsp;</td>\n";
		echo "<td>&nbsp;</td>\n";
		$fixture_num = count($table);
		for($k = 1; $k <= $fixture_num; $k++) {
			echo "<td>{$k}</td>\n";
		}
		echo "</tr>\n";
		$rank = 1;
		for($w = 0; $w < $fixture_num; $w++)
		{
			if($favTeamName == $table[$w]['Klub']){ //czy jest ulubiona druzyna
				echo "<tr class=\"row_fav_team\">\n";						
			} else {			
				echo "<tr class=\"row_{$rank}\">\n";
			}
			echo "<td class=\"col_1\">{$rank}.</td>\n";
			if(!$skroty){
				echo "<td class=\"col_2\">{$table[$w]['Klub']}</td>\n";
			} else {
				echo "<td class=\"col_2\">{$table[$w]['skrot']}</td>\n";
			}
			for($k = 0; $k < $fixture_num; $k++)
			{
				if($w==$k) {
					echo "<td class=\"bold\">X</td>\n";
					continue;
				}
				$q = "SELECT IF(bramki_gosp IS NOT NULL,
				CONCAT_WS(':',bramki_gosp,bramki_gosc),
				'-:-') AS wynik
				FROM {$this->db->getPrefix()}mecz
				WHERE gosp={$table[$w]['ID']} AND gosc={$table[$k]['ID']}";
				$wynik = $this->db->getValue($q);
				echo "<td>{$wynik}</td>\n";
			}
			echo "</tr>\n";
			$rank++;
		}
		$colspan = $fixture_num + 2;
		echo "<tr class=\"row_ft\"><td colspan=\"{$colspan}\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td></tr>\n";		
		echo "</table>\n";
	}
	/*
	 *
	 */
	//wywietla tabel serii
	function displaySeriesTable($id_liga, $kol_od = false, $kol_do = false, $skroty = false)
	{
		$table = $this->makeLeagueTable($id_liga);
		$favTeamName = $this->getFavTeamName($id_liga);		
		if(!$kol_od){
			$kol_od = 1;
		}
		if(!$kol_do) {
			$q = "SELECT max(nr_kolejki) AS k
			FROM {$this->db->getPrefix()}mecz
			WHERE id_liga={$id_liga}
			AND bramki_gosp IS NOT NULL
			AND bramki_gosc IS NOT NULL
			GROUP BY id_liga";
			$kol_do = $this->db->getValue($q);
		}
		echo "<table id=\"seriestable\" class=\"l{$id_liga}_seriestable\">\n";
		echo "<tr class=\"row_hd0\">\n";
		echo "<td colspan=\"2\">&nbsp;</td>\n";
		echo "<td colspan=\"{$kol_do}\">Kolejka</td>\n</tr>\n";

		echo "<tr class=\"row_hd1\">\n";
		echo "<td>&nbsp;</td>\n";
		echo "<td>&nbsp;</td>\n";
		for($k = $kol_od; $k <= $kol_do; $k++) {
			echo "<td>{$k}</td>\n";
		}
		echo "</tr>\n";
		for($w = 0; $w < count($table); $w++)
		{
			$rank = $w+1;
			if($favTeamName == $table[$w]['Klub']){ //czy jest ulubiona druzyna
				echo "<tr class=\"row_fav_team\">\n";						
			} else {			
				echo "<tr class=\"row_{$rank}\">\n";
			}
			echo "<td class=\"col_1\">{$rank}.</td>\n";
			if(!$skroty){
				echo "<td class=\"col_2\">{$table[$w]['Klub']}</td>\n";
			} else {
				echo "<td class=\"col_2\">{$table[$w]['skrot']}</td>\n";				
			}
			for($k = $kol_od; $k <= $kol_do; $k++)
			{
				$q = "SELECT gosp, bramki_gosp, bramki_gosc
				FROM {$this->db->getPrefix()}mecz
				WHERE (gosp={$table[$w]['ID']} OR gosc={$table[$w]['ID']})
				AND nr_kolejki={$k}";
				$zrp = $this->db->getDataToArray($q);
				if(!is_numeric($zrp[0]['bramki_gosp'])){
					$zrp = "&nbsp;";
				}
				else if((int) $zrp[0]['bramki_gosp'] == (int) $zrp[0]['bramki_gosc']) {
					$zrp = "R";
				}
				else if(((int) $zrp[0]['bramki_gosp'] > (int) $zrp[0]['bramki_gosc'] && $zrp[0]['gosp'] == $table[$w]['ID']) || ((int) $zrp[0]['bramki_gosp'] < (int) $zrp[0]['bramki_gosc'] && $zrp[0]['gosp'] != $table[$w]['ID'])) {
					$zrp = "W";
				}
				else {
					$zrp = "P";
				}
				echo "<td>{$zrp}</td>\n";
			}
			echo "</tr>\n";
		}
		$colspan = $kol_do + 2;
		echo "<tr class=\"row_ft\"><td colspan=\"{$colspan}\">powered by &copy; <a href=\"http://tabelkownik.prv.pl\">Tabelkownik 1.5</a></td></tr>\n";		
		echo "</table>\n";
	}
	/*
	 *
	 */
	/* Sprawdza poprawno dodawanej kolejki: czy dany numer kolejki ju nie istnieje i czy mecze podano prawidowo.
	 @param: tablica ze zmiennymi kolejki
	 return: true or false */
	function sprawdzKolejke($kolejka,$liga)
	{
		if(is_array($kolejka)){
			$q = "SELECT DISTINCT nr_kolejki
			FROM {$this->db->getPrefix()}mecz
			WHERE id_liga={$liga}";
			$kol = $this->db->columnToArray($q);
			if(!empty($kol)){
				if(in_array($kolejka['nr_kolejki'],$kol)) {
					echo "<p class=\"bledy\">Bd: kolejka {$kolejka['nr_kolejki']} ju istnieje.</p>";
					return false;
				}
			}
			for($i = 1; $i <= $kolejka['game_num']; $i++){
				$druzyny[] = $kolejka['gosp'][$i];
				$druzyny[] = $kolejka['gosc'][$i];
			}
			if($this->array_duplicates($druzyny)){
				echo "<p class=\"bledy\">Bd: kada z druyn moe wystpi w danej kolejce tylko raz.</p>";
				return false;
			}
		}
		return true;
	}
	/*
	 * zwraca nazwe ulubionej druzyny
	 */
	function getFavTeamName($id_liga){
		$q = "SELECT nazwa_druzyna
					FROM {$this->db->getPrefix()}druzyna
					WHERE id_druzyna = (
					  SELECT ulub_druzyna FROM {$this->db->getPrefix()}liga WHERE id_liga={$id_liga}
					)";
		return $this->db->getValue($q); 
	}
	/**
	 *  @param int $id_liga identyfikator ligi
	 *  @param int $liczba_nast_meczow ile nastepnych meczow wyswietlic (liczba ujemna wyswietla poprzednie mecze)
	 *  @param boolean $emblemy czy wyswietlone sa emblemy - duze emblemy
	 *  @param int $kol_od kolejka od ktorej zaczynamy wyswietlanie (domyslnie: null - kolejka aktualna) 
	 *  @param int $id_druzyna druzyna ktorej mecze wyswietlamy (domyslnie pierwsza druzyna)
	 */
	//wyswietla pojedyncze mecze ulubionej druzyny
	function displayMatches($id_liga, $liczba_nast_meczow, $emblemy = false, $kol_od = null, $id_druzyna = null){
		if(empty($id_druzyna)){
		$q = "SELECT ulub_druzyna FROM {$this->db->getPrefix()}liga WHERE id_liga={$id_liga}";
			$ulub_druzyna = $this->db->getValue($q);
		}else {
			$ulub_druzyna = $id_druzyna;
		}
		
		if(empty($kol_od)){
		$q = "SELECT akt_kolejka FROM {$this->db->getPrefix()}liga WHERE id_liga={$id_liga}";
			$akt_kolejka = $this->db->getValue($q);
		} else {
			$akt_kolejka = $kol_od;		
		}
		
		//jezeli nie wybrano lub nie przekazano ulubionej druzyny i aktualnej kolejki
		if(empty($ulub_druzyna) || empty($akt_kolejka)){
			echo "<p>Nie wskazano ulubionej druyny lub aktualnej kolejki.</p>";
			return;
		}
		
		$q = "SELECT id_mecz FROM {$this->db->getPrefix()}mecz
			  WHERE (gosp = {$ulub_druzyna} OR gosc = {$ulub_druzyna}) ";
		//ile nastepnych meczy
		if($liczba_nast_meczow > 0){
			$q .= 'AND nr_kolejki >= ' . $akt_kolejka;
			$q .= ' AND nr_kolejki < ';		
			$q .= $akt_kolejka+$liczba_nast_meczow; 	
		} else {
			$q .= 'AND nr_kolejki >= ';
			$q .= $akt_kolejka-abs($liczba_nast_meczow);
			$q .= ' AND nr_kolejki < ' . $akt_kolejka;
		}

		$nast_mecze = $this->db->ColumnToArray($q);
	
		echo "<table id=\"matches\" class=\"l{$id_liga}_matches\">\n";
	
		for($i = 0; $i < count($nast_mecze); $i++){
	
			$q = "SELECT d1.nazwa_druzyna as gosp, d2.nazwa_druzyna as gosc,
	      		 		 m.bramki_gosp as br_gosp, m.bramki_gosc as br_gosc,
	      		 		 d1.big_emblem as emb_gosp, d2. big_emblem as emb_gosc,
	      		 		 DATE_FORMAT(m.data,'%e %M, %H:%i') as data,m.nr_kolejki as kolejka
	       		FROM {$this->db->getPrefix()}druzyna d1, {$this->db->getPrefix()}druzyna d2, {$this->db->getPrefix()}mecz m
	       		WHERE d1.id_druzyna=m.gosp AND d2.id_druzyna=m.gosc AND m.id_mecz={$nast_mecze[$i]}";
			$mecz = $this->db->getDataToArray($q);
	
			echo "<tr class=\"row_hd\"><td colspan=\"5\">{$mecz[0]['kolejka']}. kolejka</td></tr>\n";
			if(!empty($mecz[0]['data'])){
				$mecz[0]['data'] = translateDate($mecz[0]['data'],"long");
				if($pos = strpos($mecz[0]['data'],"00:00") !== false)
				$mecz[0]['data'] = str_replace(", 00:00","",$mecz[0]['data']);
				echo "<tr class=\"row_data\">\n<td colspan=\"5\">{$mecz[0]['data']}</td></tr>\n";
			}
	
			if(!is_numeric($mecz[0]['br_gosp'])) {$mecz[0]['br_gosp']="-";}
			if(!is_numeric($mecz[0]['br_gosc'])) {$mecz[0]['br_gosc']="-";}
	
			if($emblemy && isset($mecz[0]['emb_gosp']) && isset($mecz[0]['emb_gosc'])){
				echo "<tr class=\"row_1\">\n<td><img src=\"{$this->imgPath}/images/emblems/{$mecz[0]['emb_gosp']}\" alt=\"{$mecz[0]['gosp']}\" /></td>\n";
				echo "<td>&nbsp;</td>\n";
				echo "<td>&nbsp;</td>\n";
				echo "<td>&nbsp;</td>\n";
				echo "<td><img src=\"{$this->imgPath}/images/emblems/{$mecz[0]['emb_gosc']}\" alt=\"{$mecz[0]['gosc']}\" /></td>\n</tr>\n";
			}
	
			echo "<tr class=\"row_2\">\n";
			echo "<td class=\"col_1\">{$mecz[0]['gosp']}</td>\n";
			echo "<td class=\"col_2\">{$mecz[0]['br_gosp']}</td>\n";
			echo "<td class=\"col_3\">:</td>\n";
			echo "<td class=\"col_4\">{$mecz[0]['br_gosc']}</td>\n";
			echo "<td class=\"col_5\">{$mecz[0]['gosc']}</td>\n</tr>\n";
	
		}
		echo "</table>\n";
	}
	/**
	 * 
	 */
	function displayNegativePoints($id_liga){
			$q = "SELECT d.nazwa_druzyna, pu.punkty_ujemne
			FROM {$this->db->getPrefix()}punkty_ujemne pu LEFT JOIN {$this->db->getPrefix()}druzyna d
			ON pu.id_druzyna=d.id_druzyna
			WHERE d.id_druzyna IN (
				SELECT id_druzyna FROM {$this->db->getPrefix()}druzyna WHERE id_liga={$id_liga}
			)
			ORDER BY d.nazwa_druzyna";
			$pu = $this->db->getDataToArray($q);
			if($pu != null){
				$html .= "<div id=\"negativepoints\" lass=\"l{$id_liga}_negativepoints\">";
				$length = count($pu);
				for($i=0; $i<$length; $i++){
					list($teamNameFirstPart) = explode(' ', $pu[$i]['nazwa_druzyna']);
					$lastLetter = substr($teamNameFirstPart, -1, 1);
					
					switch($lastLetter){
						case 'a':
							$phrase = 'zostaa ukarana';
							break;
						case 'e':
							$phrase = 'zostao ukarane';
							break;
						default:
							$phrase = 'zosta ukarany';
					}
					
					if($pu[$i]['punkty_ujemne']>1){
						$phrase2 = 'punktami ujemnymi';
					} else {
						$phrase2 = 'punktem ujemnym';
					}
					
					$html .= "{$pu[$i]['nazwa_druzyna']} {$phrase} {$pu[$i]['punkty_ujemne']} {$phrase2}.<br />\n";
				}
				$html .= "</div>";
				echo $html;
			}
	}
/* koniec klasa tabelkownik*/
}
?>
