<?php
/*
 * Tabelkownik
 * funkcje pomocnicze
 *
 * @date 29.08.2008
 * @version 1.5
 * @author Radosaw Zatoka (wild_king@o2.pl)
 */
/*
 *
 */
//tumaczy dat z jzyka angielskiego na polski
function translateDate($data, $short_long)
{
	switch($short_long)
	{
		case "short":
			//$m_ang = array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");
			$m_ang = array("January","February","March","April","May","June","July","August","September","October","November","December");
			$m_pol = array("sty","lut","mar","kwi","maj","cze","lip","sie","wrz","pa","lis","gru");
			break;
		case "long":
			$m_ang = array("January","February","March","April","May","June","July","August","September","October","November","December");
			$m_pol = array("stycznia","lutego","marca","kwietnia","maja","czerwca","lipca","sierpnia","wrzenia","padziernika","listopada","grudnia");
			break;
	}
	return str_replace($m_ang,$m_pol,$data);
}
//czyci zmienn od uytkownika
function fixVar($array, $name, $type, $length)
{
	if(isset($array["{$name}"])) {
		$result = substr($array["{$name}"], 0, $length);
		settype($result, $type);
	}
	else {
		$result = null;
	}
	return $result;
}
//acuch -> adres url
function strToUrl($str)
{
	return str_replace(" ", "+", $str);
}
/* Tworzy tablice z nazwami plikw z danego katalogu z danym rozszerzeniem
 @param1: string - katalog
 @param2: 1) null - wszystkie pliki
 2) string - o danym rozszerzeniu
 3) array - z tablicy rozszerze
 @param3: bool: true - tylko nazwy plikw, false - nazwy + rozszerzenia */
function filesToArray($dir, $ext = null, $onlyFilenames = true)
{
	if(is_dir($dir))
	{
		if($dir_handle = opendir($dir))
		{
			while(($file = readdir($dir_handle)) !== false)
			{
				if(is_file($dir."/".$file))
				{
					//pobieramy rozszerzenie
					$file = extractFilenameExt($file);
					if(!$onlyFilenames)
					$file['name'] = $file['name'].".".$file['ext'];
					//jeeli filtrujemy po rozszerzeniach
					if(isset($ext))
					{
						//sprawdzamy i dodajemy do tablicy wynikowej
						if(is_array($ext)) {
							if(in_array($file['ext'],$ext)) $files[] = $file['name'];
						}
						elseif(is_string($ext)) {
							if ($file['ext'] == $ext) $files[] = $file['name'];
						}
					}
					else {
						$files[] = $file['name'];
					}
				}
			}
			closedir($dir_handle);
		}
		return $files;
	}
}
//zwraca nazw pliku i rozszerzenie
function extractFilenameExt($file) {
	//znajduje pozycj wystpienia ostaniej kropki w nazwie pliku
	$pos = strrpos($file, ".");
	/* Sprawdza czy plik ma rozszerzenie.
	 Zwraca jego nazw i rozszerzenie. */
	if($pos) {
		$file_ext = substr($file, $pos+1);
		$file_name = substr($file, 0, $pos);
	}
	else {
		$file_ext = "";
		$file_name = $file;
	}
	return $result = array('name' => $file_name, 'ext' => $file_ext);
}
/* Zwraca true, jeli znaleziono klucz.
 Warto odpowiadajca szukanemu kluczowi przekazywana przez referencje.
 Jeeli nie znaleziono klucza w tablicy przez referencj zwraca klucz */
function assoc_array_key_search(&$needle,$array)
{
	foreach($array as $key => $value)
	{
		if($key==$needle)
		{
			$needle = $value;
			return true;
		}
	}
	return false;
}
/* Czyta tekst fragmentami do wskazanego znaku.
 Fragmenty umieszcza w kolejnych komrkach tablicy */
function readByLine($text,$endOfLine)
{
	$str = strtok($text,$endOfLine);
	$i = 0;
	while($str!==false)
	{
		$str = trim($str," \t"); //usuwa spacje i biae znaki z wierszy
		if(!empty($str))
		{
			$t[$i] = $str;
		}
		$str = strtok($endOfLine);
		$i++;
	}
	return $t;
}
/* Czyta tekst fragmentami do wskazanego znaku.
 Wiersze rozbija na pola.
 Cao umieszcza w tablicy 2d.
 $zamiany pozwala na zamian zawartoci tekstu */
function readByLineNExp($text,$endOfLine,$endOfField,$zamiany = false)
{
	$str = strtok($text,$endOfLine);
	$i = 0; $wiersz = $i+1;
	while($str!==false)
	{
		$str = trim($str," \t"); //usuwa spacje i biae znaki z wierszy
		if(!empty($str))
		{
			$t[$i] = explode($endOfField,$str);
			$t[$i] = array_map(trim,$t[$i]); //usuwa spacje i biae znaki z pl
			//print_r($t[i]);
			if($zamiany)
			{
				if(!ctype_digit($t[$i][0])){
					return $t = "Brak numeru kolejki w wierszu {$wiersz}!";
				} else {
					$t[$i][0] = (int) $t[$i][0];
				}
				for($j = 1; $j <= 2; $j++){
					$czyZmiana = assoc_array_key_search($t[$i][$j],$zamiany);
					if(!$czyZmiana){
						return $t = "Nierozpoznana druyna \"{$t[$i][$j]}\" w wierszu {$wiersz}!";
					}
				}
				//weryfikacja wynikw
				if((ctype_digit($t[$i][3]) && !ctype_digit($t[$i][4])) || (!ctype_digit($t[$i][3]) && ctype_digit($t[$i][4])))
				{
					return $t = "Niepoprawny wynik \"{$t[$i][3]}-{$t[$i][4]}\" w wierszu {$wiersz}!";
				}
				for ($j = 3; $j <=4; $j++)
				{
					if(ctype_digit($t[$i][$j])){
						$t[$i][$j] = (int) $t[$i][$j];
					} else {
						$t[$i][$j] = "NULL";
					}
				}
				if(!empty($t[$i][5])){
					if(!$t[$i][5] = validateDate($t[$i][5])) {return $t = "Bd w wierszu {$wiersz}!";}
				}
				if(!empty($t[$i][6])){
					if(!$t[$i][6] = validateTime($t[$i][6])) {return $t = "Bd w wierszu {$wiersz}!";}
				}
			}
		}
		$str = strtok($endOfLine);
		$i++; $wiersz++;
	}
	return $t;
}
//pobiera system operacyjny z http_user_agent
function getOS($userAgent)
{
	if(strpos($userAgent,"Linux") !== false) {
		$os = "Linux";
	}
	elseif(strpos($userAgent,"Windows NT 6.0") !== false) {
		$os = "Windows Vista";
	}
	elseif(strpos($userAgent,"Windows NT 5.2") !== false) {
		$os = "Windows Server 2003";
	}
	elseif(strpos($userAgent,"Windows NT 5.1") !== false) {
		$os = "Windows XP";
	}
	elseif(strpos($userAgent,"Windows NT 5.0") !== false) {
		$os = "Windows 2000";
	}
	elseif(strpos($userAgent,"Windows NT") !== false) {
		$os = "Windows NT";
	}
	elseif(strpos($userAgent,"Windows 98") !== false ||
	strpos($userAgent,"Win98") !== false) {
		$os = "Windows 98";
	}
	elseif(strpos($userAgent,"Windows 95") !== false) {
		$os = "Windows 95";
	}
	elseif(strpos($userAgent,"Macintosh") !== false) {
		$os = "Mac OS X";
	}
	elseif(strpos($userAgent,"SunOS") !== false) {
		$os = "Solaris";
	}
	else {
		$os = "Unknown";
	}
	return $os;
}
//pobiera przegladark z http_user_agent
function getBrowser($userAgent)
{
	if(strpos($userAgent,"Firefox") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"Firefox"));
	}
	elseif(strpos($userAgent,"Opera") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"Opera"),9);
	}
	elseif(strpos($userAgent,"MSIE") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"MSIE"),8);
	}
	elseif(strpos($userAgent,"Internet Explorer") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"Internet Explorer"),21);
	}
	elseif(strpos($userAgent,"Netscape") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"Netscape"));
	}
	elseif(strpos($userAgent,"Safari") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"Safari"));
	}
	elseif(strpos($userAgent,"Konqueror") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"Konqueror"),13);
	}
	elseif(strpos($userAgent,"Googlebot") !== false) {
		$browser = substr($userAgent,strpos($userAgent,"Googlebot"),13);
	}
	elseif(strpos($userAgent,"Yahoo! Slurp") !== false) {
		$browser = "Yahoo! Slurp";
	}
	elseif(strpos($userAgent,"Gecko") !== false) {
		$browser = "Mozilla compatible";
	}
	else {
		$browser = "Unknown";
	}
	return $browser;
}
//validates date in yyyy-mm(m)-dd(d)
//returns true or false
function valDate($date)
{
	$exp = '/^(\d{4})-(\d{1,2})-(\d{1,2})$/';
	if(preg_match($exp, $date)){
		return true;
	} else {
		return false;
	}
}
//sprawdza poprawno daty yyyy-mm(m)-dd(d) lub dd(d)-mm(m)-yyyy(yy)
//zwraca dat zgodn z typem mysql date
function validateDate($date)
{
	$exp = '/^(\d{4})-(\d{1,2})-(\d{1,2})$/';
	$exp2 = '/^(\d{1,2})-(\d{1,2})-(\d{2,4})$/';
	if(preg_match($exp,$date,$grupy)) {
		$rok = (int) $grupy[1];
		$miesiac = (int) $grupy[2];
		$dzien = (int) $grupy[3];
		if(strlen($rok) <= 2){
			if($rok > 69) {$rok += 1900;} else {$rok += 2000;}
		}
	}
	else if(preg_match($exp2,$date,$grupy)){
		if(strlen($grupy[3]) == 2){
			$rok = $grupy[3];
			if($grupy[3] > 69) {$rok = '19'.$rok;} else {$rok = '20'.$rok;}
			settype($rok,'int');
		}
		else {
			$rok = (int) $grupy[3];
		}
		$miesiac = (int) $grupy[2];
		$dzien = (int) $grupy[1];
	}
	else {
		echo "<p class=\"bledy\">Data niepoprawna: {$date}. Akceptowane formaty daty to: yyyy-mm-dd lub dd-mm-yyyy(yy). Dnia i miesica nie trzeba poprzedza zerami.</p>";
		return false;
	}
	if(!($rok >= 1900 && $rok <= 2100)){
		echo "<p class=\"bledy\">Data niepoprawna: rok {$rok} nie jest poprawny.</p>";
		return false;
	}
	if(!($miesiac >= 1 && $miesiac <= 12)){
		echo "<p class=\"bledy\">Data niepoprawna: miesic {$miesiac} nie jest poprawny.</p>";
		return false;
	}
	if(!($dzien >= 1 && $dzien <= 31)){
		echo "<p class=\"bledy\">Data niepoprawna: dzie {$dzien} nie jest poprawny.</p>";
		return false;
	}
	if($miesiac<10) {$miesiac = '0'.$miesiac;}
	if($dzien<10) {$dzien = '0'.$dzien;}
	return $rok.'-'.$miesiac.'-'.$dzien;
}
//sprawdza poprawno czasu hh(h):mm
//zwraca czas zgodny z mysql time
function validateTime($time){
	$exp = '/^(\d{1,2})(:\d{2})?$/';
	if(preg_match($exp,$time,$parts)){
		$godz = (int) $parts[1];
		$min = (int) ltrim($parts[2],":");
	}
	else{
		echo "<p class=\"bledy\">Czas niepoprawny: format czasu to hh(h):mm, godziny w systemie 0-24.</p>";
		return false;
	}
	if(!($godz >= 0 && $godz <= 24)){
		echo "<p class=\"bledy\">Czas niepoprawny: godzina {$godz} nie jest poprawna.</p>";
		return false;
	}
	if(!($min >= 0 && $min < 60)){
		echo "<p class=\"bledy\">Czas niepoprawny: minuty {$min} niepoprawne.</p>";
		return false;
	}
	if($godz<10) $godz = '0'.$godz;
	if($min<10) $min = '0'.$min;
	return $godz.":".$min;
}
/*
 * walidacja loginu, dozwolone znaki cyfry, litery, _,-,.
 */
function validateLogin($login)
{
	$exp = '/^[a-z]{1}[a-z0-9_\-\.]+[a-z0-9]{1}$/';
	if(preg_match($exp, $login)){
		return true;
	}
	return false;
}
/**
 *
 */
function makeDateTime($date, $hour, $min)
{
	$datetime = '';
	if(valDate($date)){
		$datetime = $date;
		if(ctype_digit($hour)){
			$datetime .= ' '.$hour;
			if(ctype_digit($min)){
				$datetime .= ':'.$min;
			}
		}
		$datetime = "'".$datetime."'";
	} else {
		$datetime = "NULL";
	}
	return $datetime;
}
/**
 * Zamienia $filename na prawidlowa nazwe pliku
 *
 * @param $filename
 * @return string
 */
function escape_filename($filename){
	$search = array('/','\\',':','*','?','"','<','>','|','\'',' ');
	$replace = '_';
	return strtolower(str_replace($search, $replace, $filename));
}
/*******************************************************************************
 *  Klasa ThumbMaker
 *
 *  Generuje miniaturki obrazkw
 *******************************************************************************
 *  Autor: Radosaw Zatoka
 *  E-mail: <wild_king@o2.pl>
 *  Utworzono: 08-08-2008
 ********************************************************************************/
class ThumbMaker
{
	private $imgName;
	private $newImgName;
	private $newImgWidth;
	private $newImgHeight;
	private $transparency;
	private $border;
	private $base64;

	function __construct($name, $newName, $newWidth, $newHeight, $transparency = true, $border = false, $base64 = false)
	{
		$this->setThumb($name, $newName, $newWidth, $newHeight, $transparency = true, $border = false, $base64 = false);
	}

	public function setThumb($name, $newName, $newWidth, $newHeight, $transparency = true, $border = false, $base64 = false)
	{
		$this->imgName = $name;
		$this->newImgName = $newName;
		$this->newImgWidth = (int)$newWidth;
		$this->newImgHeight = (int)$newHeight;
		$this->transparency = (boolean)$transparency;
		$this->border = $border;
		$this->base64 = $base64;
	}

	public function createThumb()
	{
		if(!file_exists($this->imgName)){
			throw new Exception("Image file $this->imgName doesn't exist.");
		}

		$imageInfo = getimagesize($this->imgName);

		if(file_exists($this->newImgName)){
			//@unlink($this->newImgName);
			do {
				$this->newImgName = $this->generateFilename($this->newImgName);
			} while(file_exists($this->newImgName));
		}

		$arr = split("\.",$this->imgName);
		$ext = $arr[count($arr)-1];

		if(($ext=="jpeg" || $ext=="jpg") && $imageInfo[2] == IMAGETYPE_JPEG){
			$img = @imagecreatefromjpeg($this->imgName);
		} else if($ext=="png" && $imageInfo[2] == IMAGETYPE_PNG){
			$img = @imagecreatefrompng($this->imgName);
		} else if($ext=="gif" && $imageInfo[2] == IMAGETYPE_GIF) {
			$img = @imagecreatefromgif($this->imgName);
		}
		if(!$img){
			throw new Exception("Allowed file types are: jpg, png, gif.");
		}
		$old_x = $imageInfo[0];
		$old_y = $imageInfo[1];
		if($this->newImgWidth <= 0 || $this->newImgHeight <= 0){
			$thumb_w = $old_x;
			$thumb_h = $old_y;
		} else if($old_x < $this->newImgWidth && $old_y < $this->newImgHeight) {
			$thumb_w = $old_x;
			$thumb_h = $old_y;
		} else if ($old_x > $old_y) {
			$thumb_w = $this->newImgWidth;
			$thumb_h = floor(($old_y*($this->newImgHeight/$old_x)));
		} else if ($old_x < $old_y) {
			$thumb_w = floor($old_x*($this->newImgWidth/$old_y));
			$thumb_h = $this->newImgHeight;
		} else if ($old_x == $old_y) {
			$thumb_w = $this->newImgWidth;
			$thumb_h = $this->newImgHeight;
		}
		$thumb_w = ($thumb_w<1) ? 1 : $thumb_w;
		$thumb_h = ($thumb_h<1) ? 1 : $thumb_h;
		$new_img = ImageCreateTrueColor($thumb_w, $thumb_h);
			
		if($this->transparency) {
			if($ext=="png") {
				imagealphablending($new_img, false);
				$colorTransparent = imagecolorallocatealpha($new_img, 0, 0, 0, 127);
				imagefill($new_img, 0, 0, $colorTransparent);
				imagesavealpha($new_img, true);
			} else if($ext=="gif") {
				$trnprt_indx = imagecolortransparent($img);
				if ($trnprt_indx >= 0) {
					//its transparent
					$trnprt_color = imagecolorsforindex($img, $trnprt_indx);
					$trnprt_indx = imagecolorallocate($new_img, $trnprt_color['red'], $trnprt_color['green'], $trnprt_color['blue']);
					imagefill($new_img, 0, 0, $trnprt_indx);
					imagecolortransparent($new_img, $trnprt_indx);
				}
			}
		} else {
			Imagefill($new_img, 0, 0, imagecolorallocate($new_img, 255, 255, 255));
		}
			
		imagecopyresampled($new_img, $img, 0,0,0,0, $thumb_w, $thumb_h, $old_x, $old_y);
		if($this->border) {
			$black = imagecolorallocate($new_img, 0, 0, 0);
			imagerectangle($new_img,0,0, $thumb_w, $thumb_h, $black);
		}

		if($this->base64) {
			ob_start();
			imagepng($new_img);
			$img = ob_get_contents();
			ob_end_clean();
			$return = base64_encode($img);
		} else {
			if($ext=="jpeg" || $ext=="jpg"){
				imagejpeg($new_img, $this->newImgName);
			} elseif($ext=="png"){
				imagepng($new_img, $this->newImgName);
			} elseif($ext=="gif") {
				imagegif($new_img, $this->newImgName);
			}
			$return = true;
		}
		imagedestroy($new_img);
		imagedestroy($img);
		return $return;
	}

	private function generateFilename($path)
	{
		$dir = dirname($path);
		$file = basename($path);
		$dot_pos = strrpos($file,'.');
		$filename = substr($file,0,$dot_pos);
		$extension = substr($file, $dot_pos+1, strlen($file)-$dot_pos);
		$number = '';
		for($i=0; $i<4; ++$i){
			$number .= mt_rand(0,9);
		}
		return $dir.'/'.$filename.$number.'.'.$extension;
	}

	public function getThumbFilename()
	{
		return basename($this->newImgName);
	}
}
/* koniec klasy ThumbMaker */
/*******************************************************************************
 *  Klasa JSCalendar
 *
 *  Generuje DHTML kalendarza
 *******************************************************************************
 *  Autor: Radosaw Zatoka
 *  E-mail: <wild_king>@o2.pl
 *  Utworzono: 10-08-2008
 ********************************************************************************/
class JSCalendar
{
	const ENG_LONG = 0;
	const ENG_SHORT = 1;
	const POL_LONG = 2;
	const POL_SHORT = 3;

	private static $months = array(
	array("January","February","March","April","May","June","July","August","September","October","November","December"),
	array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"),
	array("Stycze","Luty","Marzec","Kwiecie","Maj","Czerwiec","Lipiec","Sierpie","Wrzesie","Padziernik","Listopad","Grudzie"),
	array("Sty","Lut","Mar","Kwi","Maj","Cze","Lip","Sie","Wrz","Pa","Lis","Gru")
	);

	private static $days = array(
	array('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday'),
	array('Mon','Tue','Wed','Thu','Fri','Sat','Sun'),
	array('Poniedziaek','Wtorek','roda','Czwartek','Pitek','Sobota','Niedziela'),
	array('Pon','Wto','ro','Czw','Pi','Sob','Nie'),
	);
	
	/**
	 * Enter description here...
	 *
	 * @param int $type
	 */
	public static function getCalendarDiv($daysType, $monthsType)
	{
		$html = '<div id="calendar">';
		$html .= '<table id="calendarTable">';
		$html .= '<tr>';
		$html .= '<th id="tableHeader" colspan="7"></th>';
		$html .= '</tr>';
		$html .= self::daysRow($daysType);
		$html .= '<tbody id="tableBody"></tbody>';
		$html .= '<tr>';
		$html .= '<td colspan="7">';
		//$html .= '<p>';
		$html .= '<form id="dateChooser" name="dateChooser">';
		$html .= '<select name="chooseMonth" id="chooseMonth"
onchange="datePicker.populateTable(this.form)">';
		$html .= self::monthOptions($monthsType);
		$html .= '</select>';
		$html .= '<select name="chooseYear" id="chooseYear"
onchange="datePicker.populateTable(this.form)">';
		$html .= '</select>';
		$html .= '</form>';
		//$html .= '</p>';
		$html .= '</td>';
		$html .= '</tr>';
		$html .= '</table>';
		$html .= '</div>';
		echo $html;
	}
	/**
	 * Enter description here...
	 *
	 * @param int $type
	 */
	private function monthOptions($type)
	{
		$months = JSCalendar::$months[$type];
		$html = '';
		for($i = 0; $i < 12; $i++){
			$html .= '<option>'.$months[$i].'</option>';
		}
		return $html;
	}
	/**
	 * Enter description here...
	 *
	 * @param int $type
	 */
	private function daysRow($type)
	{
		$days = JSCalendar::$days[$type];
		$html = '<tr>';
		for($i = 0; $i < 7; $i++){
			$html .= '<th>'.$days[$i].'</th>';
		}
		$html .= '</tr>';
		return $html;
	}
}
/* koniec klasy JSCalendar */
?>
