<?php
/*
 * Tabelkownik
 * skrypt instalacyjny
 *
 * @date 29.08.2008
 * @version 1.5
 * @author Radosaw Zatoka (wild_king@o2.pl)
 * @author Daniel Szczukiewicz
 */
$gora_strony = <<<GOR
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
  <meta http-equiv="Content-Language" content="pl" />
  <meta name="robots" content="noindex, nofollow" />
  <meta name="Author" content="Radosaw Zatoka, Daniel Szczukiewicz" />
  <title>Tabelkownik - System zarzdzania tabelami - Potwierdzenie instalacji</title>
  <link href="conf/style.css" rel="stylesheet" type="text/css" />
</head>
<body class="install">
GOR;

$dol_strony = <<<DOL
</body>
</html>
DOL;

require './func/class.mysqldb.php';
require './func/functions.other.php';

$h = $_POST['host'];
$u = $_POST['user'];
$p = $_POST['pass'];
$d = $_POST['dbname'];
$pref = $_POST['prefix'];
$sa_pass = sha1($_POST['superadmin_pass']);
$sa_repass = sha1($_POST['superadmin_pass_retype']);
$sa_name = $_POST['superadmin_name'];

if(isset($h) && isset($u) && isset($p) && isset($d) && isset($sa_name) && isset($sa_pass) && isset($sa_repass) && strcmp($sa_pass,$sa_repass)==0)
{
	echo $gora_strony;

	if(file_exists("./conf/config.php"))
	{
		echo "<table class=\"installer\">\n<tr>\n<td class=\"naglowek\">Potwierdzenie instalacji</td>\n</tr>\n";
		echo "<tr>\n<td><p class=\"info3\">Skrypt jest ju zainstalowany!</p></td>\n</tr>\n";
		echo "<tr>\n<td>\n<a href=\"./conf/index.php\">Przejd do panelu sterowania</a></td>\n</tr>\n</table>\n";
	}	
	else if(!validateLogin($sa_name)){
		echo "<table class=\"installer\">\n<tr>\n<td class=\"naglowek\">Potwierdzenie instalacji</td>\n</tr>\n";
		echo "<tr>\n<td><p class=\"info3\">Login superadmina musi mie co najmniej 3 znaki dugosci i skada si z maych liter, cyfr oraz znakw '_', '-' oraz '.'</p></td>\n</tr>\n";
		echo "<tr>\n<td>\nKliknij wstecz w przegldarce, by wrci do formularza instalacji.</td>\n</tr>\n</table>\n";		
	}
	else
	{
		$db = new MysqlDB($h, $u, $p, $d, $pref);
		//kasuje tabele jeeli istniej
		$q = "DROP TABLE IF EXISTS
		{$pref}users_privs, {$pref}users, {$pref}punkty_ujemne,
		{$pref}mecz, {$pref}druzyna, {$pref}liga CASCADE";
		$db->executeQuery($q);

		//zakadamy tabele
		$q = "CREATE TABLE {$pref}liga (
		id_liga int(3) unsigned NOT NULL AUTO_INCREMENT PRIMARY KEY,
		nazwa_liga varchar(50) NOT NULL UNIQUE,
		akt_kolejka int(2) DEFAULT NULL,
		ulub_druzyna int(4) DEFAULT NULL
		) ENGINE=InnoDB DEFAULT CHARACTER SET latin2 COLLATE latin2_general_ci";
		$db->executeQuery($q);
		echo "<table class=\"installer\">\n<tr>\n<td class=\"naglowek\">Potwierdzenie instalacji</td>\n</tr>\n";
		echo "<tr>\n<td>Utworzono tabel {$pref}liga.</td>\n</tr>\n";

		$q = "CREATE TABLE {$pref}druzyna (
		id_druzyna int(4) unsigned NOT NULL AUTO_INCREMENT PRIMARY KEY,
		nazwa_druzyna varchar(50) NOT NULL,
		id_liga int(3) unsigned NOT NULL,
		CONSTRAINT {$pref}druzyna_fk FOREIGN KEY (id_liga) REFERENCES {$pref}liga(id_liga),
		skrot varchar(20) DEFAULT NULL,
		small_emblem varchar(50) DEFAULT NULL,
		big_emblem varchar(50) DEFAULT NULL
		) ENGINE=InnoDB DEFAULT CHARACTER SET latin2 COLLATE latin2_general_ci";
		$db->executeQuery($q);
		echo "<tr>\n<td>Utworzono tabel {$pref}druzyna.</td>\n</tr>\n";

		$q = "CREATE TABLE {$pref}mecz (
		id_mecz int(5) unsigned NOT NULL AUTO_INCREMENT PRIMARY KEY,
		id_liga int(3) unsigned NOT NULL,
		CONSTRAINT {$pref}mecz_fk FOREIGN KEY (id_liga) REFERENCES
		{$pref}liga(id_liga),
		nr_kolejki int(2) unsigned NOT NULL,
		gosp int(4) unsigned NOT NULL,
		CONSTRAINT {$pref}mecz_fk2 FOREIGN KEY (gosp) REFERENCES
		{$pref}druzyna(id_druzyna),
		gosc int(4) unsigned NOT NULL,
		CONSTRAINT {$pref}mecz_fk3 FOREIGN KEY (gosc) REFERENCES
		{$pref}druzyna(id_druzyna),
		bramki_gosp int(2) unsigned DEFAULT NULL,
		bramki_gosc int(2) unsigned DEFAULT NULL,
		data datetime DEFAULT NULL,
		komentarz TEXT NULL
		) ENGINE=InnoDB DEFAULT CHARACTER SET latin2 COLLATE latin2_general_ci";
		$db->executeQuery($q);
		echo "<tr>\n<td>Utworzono tabel {$pref}mecz.</td>\n</tr>\n";

		$q = "CREATE TABLE {$pref}punkty_ujemne (
		id_druzyna int(4) unsigned NOT NULL,
		CONSTRAINT {$pref}punkty_ujemne_fk FOREIGN KEY (id_druzyna) REFERENCES
		{$pref}druzyna(id_druzyna),
		punkty_ujemne int(2) unsigned NOT NULL
		) ENGINE = InnoDB DEFAULT CHARACTER SET latin2 COLLATE latin2_general_ci";
		$db->executeQuery($q);
		echo "<tr>\n<td>Utworzono tabel {$pref}punkty_ujemne.</td>\n</tr>\n";

		$q = "CREATE TABLE {$pref}users (
		username varchar(25) NOT NULL PRIMARY KEY,
		password varchar(40) NOT NULL,
		admin_priv tinyint(1) NOT NULL DEFAULT 0,
		superadmin_priv tinyint(1) NOT NULL DEFAULT 0
		) ENGINE=InnoDB DEFAULT CHARACTER SET latin2 COLLATE latin2_general_ci";
		$db->executeQuery($q);
		echo "<tr>\n<td>Utworzono tabel {$pref}users.</td>\n</tr>\n";

		$q = "CREATE TABLE {$pref}users_privs (
		username varchar(25) NOT NULL,
		CONSTRAINT {$pref}users_privs_fk FOREIGN KEY (username)
		REFERENCES {$pref}users(username),
		owner_id_liga int(3) unsigned NOT NULL,
		CONSTRAINT {$pref}users_privs_fk2 FOREIGN KEY (owner_id_liga)
		REFERENCES {$pref}liga(id_liga)
		) ENGINE=InnoDB DEFAULT CHARACTER SET latin2 COLLATE latin2_general_ci";
		$db->executeQuery($q);
		echo "<tr>\n<td>Utworzono tabel {$pref}users_privs.</td>\n</tr>\n";

		//wprowadzamy superadmina
		$q = "INSERT INTO {$pref}users
		VALUES ('{$sa_name}', '{$sa_pass}', 1, 1)";
		$db->executeQuery($q);
		echo "<tr>\n<td>Utworzono konto uytkownika {$sa_name}.</td>\n</tr>\n";

		//tworzymy i wypeniamy plik config.php
		$f=fopen("./conf/config.php","w");
		$text = <<<CONF
<?php\r\ndefine('TBK_HOST', '$h');\r\ndefine('TBK_DBUSER', '$u');\r\ndefine('TBK_DBPASS', '$p');\r\ndefine('TBK_DBNAME', '$d');\r\ndefine('TBK_PREFIX', '$pref');\r\n?>
CONF;
		fwrite($f,$text);
		fclose($f);
		echo "<tr>\n<td>Utworzono plik konfiguracyjny config.php.</td>\n</tr>\n";
		$db->close();
		echo "<tr>\n<td>\n<p class=\"info3\">Skrypt pomylnie zainstalowano.</p>\n</td>\n</tr>\n";
		echo "<tr>\n<td>\n<a href=\"./conf/login.php\">Przejd do panelu sterowania</a></td>\n</tr>\n</table>\n";
	}
	echo $dol_strony;
}
else
{
	header("Location: form.install.php");
	exit();
}
?>
